import StudioJobs from './';
import renderVariations from 'app/lib/sandbox/render-variations';

const studio = {
  id: 26,
  name: "London",
  link: "https://backend/blog/studio/london/",
  address: {
    "street-address": "62 Shoreditch High Street",
    locality: "London",
    "postal-code": "E1 6JJ",
    region: "",
    "country-name": "United Kingdom"
  },
  location: {
    lat: "51.524064",
    long: "-0.07706499999994776",
    elevation: "21.54648208618164"
  },
  color: "#143fcc",
  "recruitment-title": "London",
  "recruitment-desc": "Occupying three floors of The Tea Building in Shoreditch, our UK studio has over 120 talented and driven people. We're dedicated to delivering stand-out work for clients including Barclays, Harvey Nichols and Sky, as well as as our own products including Monument Valley and Moodnotes.",
  featured_image: 8814,
  timezone: {
    id: "Europe/London",
    offset: 1
  }
};
const studios = [{
  "id": 26,
  "name": "London",
  "link": "https://wp.ustwo.com/blog/studio/london/",
  "address": {
      "street-address": "62 Shoreditch High Street",
      "locality": "London",
      "postal-code": "E1 6JJ",
      "region": "",
      "country-name": "United Kingdom"
  },
  "location": {
      "lat": "51.524064",
      "long": "-0.07706499999994776",
      "elevation": "21.54648208618164"
  },
  "color": "#143fcc",
  "recruitment-title": "London",
  "recruitment-desc": "Occupying three floors of The Tea Building in Shoreditch, our UK studio has over 120 talented and driven people. We're dedicated to delivering stand-out work for clients including Barclays, Harvey Nichols and Sky, as well as as our own products including Monument Valley and Moodnotes.",
  "featured_image": 8814,
  "timezone": {
      "id": "Europe/London",
      "offset": 1
  },
  "_embedded": {
      "wp:attachment": [
          [{
              "id": 8814,
              "date": "2015-08-28T11:18:41",
              "slug": "ustwo-website-hq-36",
              "type": "attachment",
              "link": "https://wp.ustwo.com/blog/studio/london/ustwo-website-hq-36/",
              "title": {
                  "rendered": "ustwo digital product design"
              },
              "author": 4,
              "alt_text": "ustwo digital product design",
              "media_type": "image",
              "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36.jpg",
              "media_details": {
                  "width": 5472,
                  "height": 3648,
                  "file": "2015/07/Ustwo-website-HQ-36.jpg",
                  "sizes": {
                      "thumbnail": {
                          "file": "Ustwo-website-HQ-36-300x300.jpg",
                          "width": 300,
                          "height": 300,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36-300x300.jpg"
                      },
                      "medium": {
                          "file": "Ustwo-website-HQ-36-1024x683.jpg",
                          "width": 1024,
                          "height": 683,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36-1024x683.jpg"
                      },
                      "large": {
                          "file": "Ustwo-website-HQ-36-1800x1200.jpg",
                          "width": 1800,
                          "height": 1200,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36-1800x1200.jpg"
                      },
                      "small": {
                          "file": "Ustwo-website-HQ-36-640x427.jpg",
                          "width": 640,
                          "height": 427,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36-640x427.jpg"
                      },
                      "small_crop": {
                          "file": "Ustwo-website-HQ-36-640x480.jpg",
                          "width": 640,
                          "height": 480,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36-640x480.jpg"
                      },
                      "medium_crop": {
                          "file": "Ustwo-website-HQ-36-1024x768.jpg",
                          "width": 1024,
                          "height": 768,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36-1024x768.jpg"
                      },
                      "large_crop": {
                          "file": "Ustwo-website-HQ-36-1800x1200.jpg",
                          "width": 1800,
                          "height": 1200,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36-1800x1200.jpg"
                      }
                  },
                  "image_meta": {
                      "aperture": 0,
                      "credit": "",
                      "camera": "",
                      "caption": "",
                      "created_timestamp": 1438267098,
                      "copyright": "",
                      "focal_length": 0,
                      "iso": 0,
                      "shutter_speed": 0,
                      "title": "",
                      "orientation": 0
                  }
              },
          }], {
              "id": 8814,
              "date": "2015-08-28T11:18:41",
              "slug": "ustwo-website-hq-36",
              "type": "attachment",
              "link": "https://wp.ustwo.com/blog/studio/london/ustwo-website-hq-36/",
              "title": {
                  "rendered": "ustwo digital product design"
              },
              "author": 4,
              "alt_text": "ustwo digital product design",
              "media_type": "image",
              "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36.jpg",
              "media_details": {
                  "width": 5472,
                  "height": 3648,
                  "file": "2015/07/Ustwo-website-HQ-36.jpg",
                  "sizes": {
                      "thumbnail": {
                          "file": "Ustwo-website-HQ-36-300x300.jpg",
                          "width": 300,
                          "height": 300,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36-300x300.jpg"
                      },
                      "medium": {
                          "file": "Ustwo-website-HQ-36-1024x683.jpg",
                          "width": 1024,
                          "height": 683,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36-1024x683.jpg",
                          "name": "medium"
                      },
                      "large": {
                          "file": "Ustwo-website-HQ-36-1800x1200.jpg",
                          "width": 1800,
                          "height": 1200,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36-1800x1200.jpg",
                          "name": "large"
                      },
                      "small": {
                          "file": "Ustwo-website-HQ-36-640x427.jpg",
                          "width": 640,
                          "height": 427,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36-640x427.jpg",
                          "name": "small"
                      },
                      "small_crop": {
                          "file": "Ustwo-website-HQ-36-640x480.jpg",
                          "width": 640,
                          "height": 480,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36-640x480.jpg"
                      },
                      "medium_crop": {
                          "file": "Ustwo-website-HQ-36-1024x768.jpg",
                          "width": 1024,
                          "height": 768,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36-1024x768.jpg"
                      },
                      "large_crop": {
                          "file": "Ustwo-website-HQ-36-1800x1200.jpg",
                          "width": 1800,
                          "height": 1200,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/Ustwo-website-HQ-36-1800x1200.jpg"
                      }
                  },
                  "image_meta": {
                      "aperture": 0,
                      "credit": "",
                      "camera": "",
                      "caption": "",
                      "created_timestamp": 1438267098,
                      "copyright": "",
                      "focal_length": 0,
                      "iso": 0,
                      "shutter_speed": 0,
                      "title": "",
                      "orientation": 0
                  }
              }
          }
      ]
  }
}, {
  "id": 45,
  "name": "New York",
  "link": "https://wp.ustwo.com/blog/studio/new-york/",
  "address": {
      "street-address": "26 Broadway, 16th Floor",
      "locality": "New York",
      "postal-code": "10004 ",
      "region": "NY",
      "country-name": "United States"
  },
  "location": {
      "lat": "40.7053251",
      "long": "-74.01294569999999",
      "elevation": "5.37336540222168"
  },
  "color": "#ff5519",
  "recruitment-title": "New York",
  "recruitment-desc": "Light-filled with sweeping panoramic views, our New York studio sits sixteen stories high in the historic Standard Oil building nestled in the center of Manhattan's bustling Financial District. Here our designers, strategists, and developers from around the world collaborate closely with each other and with our clients, who range from America’s best-known brands to young, scrappy startups.",
  "featured_image": 8875,
  "timezone": {
      "id": "America/New_York",
      "offset": -4
  },
  "_embedded": {
      "wp:attachment": [
          [{
              "id": 8875,
              "date": "2015-09-09T09:59:37",
              "slug": "image_1-7",
              "type": "attachment",
              "link": "https://wp.ustwo.com/what-we-do/image_1-7/",
              "title": {
                  "rendered": "image_1"
              },
              "author": 3,
              "alt_text": "",
              "media_type": "image",
              "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/image_15.jpg",
              "media_details": {
                  "width": 1800,
                  "height": 1200,
                  "file": "2015/07/image_15.jpg",
                  "sizes": {
                      "thumbnail": {
                          "file": "image_15-300x300.jpg",
                          "width": 300,
                          "height": 300,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/image_15-300x300.jpg"
                      },
                      "medium": {
                          "file": "image_15-1024x683.jpg",
                          "width": 1024,
                          "height": 683,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/image_15-1024x683.jpg"
                      },
                      "small": {
                          "file": "image_15-640x427.jpg",
                          "width": 640,
                          "height": 427,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/image_15-640x427.jpg"
                      },
                      "small_crop": {
                          "file": "image_15-640x480.jpg",
                          "width": 640,
                          "height": 480,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/image_15-640x480.jpg"
                      },
                      "medium_crop": {
                          "file": "image_15-1024x768.jpg",
                          "width": 1024,
                          "height": 768,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/image_15-1024x768.jpg"
                      }
                  },
                  "image_meta": {
                      "aperture": 0,
                      "credit": "",
                      "camera": "",
                      "caption": "",
                      "created_timestamp": 0,
                      "copyright": "",
                      "focal_length": 0,
                      "iso": 0,
                      "shutter_speed": 0,
                      "title": "",
                      "orientation": 0
                  }
              }
          }], {
              "id": 8875,
              "date": "2015-09-09T09:59:37",
              "slug": "image_1-7",
              "type": "attachment",
              "link": "https://wp.ustwo.com/what-we-do/image_1-7/",
              "title": {
                  "rendered": "image_1"
              },
              "author": 3,
              "alt_text": "",
              "media_type": "image",
              "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/image_15.jpg",
              "media_details": {
                  "width": 1800,
                  "height": 1200,
                  "file": "2015/07/image_15.jpg",
                  "sizes": {
                      "thumbnail": {
                          "file": "image_15-300x300.jpg",
                          "width": 300,
                          "height": 300,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/image_15-300x300.jpg"
                      },
                      "medium": {
                          "file": "image_15-1024x683.jpg",
                          "width": 1024,
                          "height": 683,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/image_15-1024x683.jpg",
                          "name": "medium"
                      },
                      "small": {
                          "file": "image_15-640x427.jpg",
                          "width": 640,
                          "height": 427,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/image_15-640x427.jpg",
                          "name": "small"
                      },
                      "small_crop": {
                          "file": "image_15-640x480.jpg",
                          "width": 640,
                          "height": 480,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/image_15-640x480.jpg"
                      },
                      "medium_crop": {
                          "file": "image_15-1024x768.jpg",
                          "width": 1024,
                          "height": 768,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/image_15-1024x768.jpg"
                      }
                  },
                  "image_meta": {
                      "aperture": 0,
                      "credit": "",
                      "camera": "",
                      "caption": "",
                      "created_timestamp": 0,
                      "copyright": "",
                      "focal_length": 0,
                      "iso": 0,
                      "shutter_speed": 0,
                      "title": "",
                      "orientation": 0
                  }
              }
          }
      ]
  }
}, {
  "id": 30,
  "name": "Malmö",
  "link": "https://wp.ustwo.com/blog/studio/malmo/",
  "address": {
      "street-address": "Södra Förstadsgatan 2",
      "locality": "Malmö",
      "postal-code": "211 43",
      "region": "",
      "country-name": "Sweden"
  },
  "location": {
      "lat": "55.600836",
      "long": "13.001170000000002",
      "elevation": "10.60093212127686"
  },
  "color": "#ed0082",
  "recruitment-title": "Malmö",
  "recruitment-desc": "Set within a townhouse in the city centre, our Nordic studio is a warren of creativity and strategic thinking. We’re proud to count major brands among those who rely on our skills and services. ustwo Nordics is also the birthplace of one of our many successful inventions, Rando.",
  "featured_image": 8789,
  "timezone": {
      "id": "Europe/Stockholm",
      "offset": 2
  },
  "_embedded": {
      "wp:attachment": [
          [{
              "id": 8789,
              "date": "2015-08-20T19:44:10",
              "slug": "05_flexible_bonuses",
              "type": "attachment",
              "link": "https://wp.ustwo.com/?attachment_id=8789",
              "title": {
                  "rendered": "ustwo malmo"
              },
              "author": 4,
              "alt_text": "ustwo malmo",
              "media_type": "image",
              "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses.jpg",
              "media_details": {
                  "width": 1800,
                  "height": 1000,
                  "file": "2015/08/05_flexible_bonuses.jpg",
                  "sizes": {
                      "thumbnail": {
                          "file": "05_flexible_bonuses-300x300.jpg",
                          "width": 300,
                          "height": 300,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses-300x300.jpg"
                      },
                      "medium": {
                          "file": "05_flexible_bonuses-1024x569.jpg",
                          "width": 1024,
                          "height": 569,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses-1024x569.jpg"
                      },
                      "large": {
                          "file": "05_flexible_bonuses-1800x1000.jpg",
                          "width": 1800,
                          "height": 1000,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses-1800x1000.jpg"
                      },
                      "small": {
                          "file": "05_flexible_bonuses-640x356.jpg",
                          "width": 640,
                          "height": 356,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses-640x356.jpg"
                      },
                      "small_crop": {
                          "file": "05_flexible_bonuses-640x480.jpg",
                          "width": 640,
                          "height": 480,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses-640x480.jpg"
                      },
                      "medium_crop": {
                          "file": "05_flexible_bonuses-1024x768.jpg",
                          "width": 1024,
                          "height": 768,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses-1024x768.jpg"
                      },
                      "large_crop": {
                          "file": "05_flexible_bonuses-1800x1000.jpg",
                          "width": 1800,
                          "height": 1000,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses-1800x1000.jpg"
                      }
                  },
                  "image_meta": {
                      "aperture": 0,
                      "credit": "",
                      "camera": "",
                      "caption": "",
                      "created_timestamp": 0,
                      "copyright": "",
                      "focal_length": 0,
                      "iso": 0,
                      "shutter_speed": 0,
                      "title": "",
                      "orientation": 0
                  }
              }
          }], {
              "id": 8789,
              "date": "2015-08-20T19:44:10",
              "slug": "05_flexible_bonuses",
              "type": "attachment",
              "link": "https://wp.ustwo.com/?attachment_id=8789",
              "title": {
                  "rendered": "ustwo malmo"
              },
              "author": 4,
              "alt_text": "ustwo malmo",
              "media_type": "image",
              "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses.jpg",
              "media_details": {
                  "width": 1800,
                  "height": 1000,
                  "file": "2015/08/05_flexible_bonuses.jpg",
                  "sizes": {
                      "thumbnail": {
                          "file": "05_flexible_bonuses-300x300.jpg",
                          "width": 300,
                          "height": 300,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses-300x300.jpg"
                      },
                      "medium": {
                          "file": "05_flexible_bonuses-1024x569.jpg",
                          "width": 1024,
                          "height": 569,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses-1024x569.jpg",
                          "name": "medium"
                      },
                      "large": {
                          "file": "05_flexible_bonuses-1800x1000.jpg",
                          "width": 1800,
                          "height": 1000,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses-1800x1000.jpg",
                          "name": "large"
                      },
                      "small": {
                          "file": "05_flexible_bonuses-640x356.jpg",
                          "width": 640,
                          "height": 356,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses-640x356.jpg",
                          "name": "small"
                      },
                      "small_crop": {
                          "file": "05_flexible_bonuses-640x480.jpg",
                          "width": 640,
                          "height": 480,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses-640x480.jpg"
                      },
                      "medium_crop": {
                          "file": "05_flexible_bonuses-1024x768.jpg",
                          "width": 1024,
                          "height": 768,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses-1024x768.jpg"
                      },
                      "large_crop": {
                          "file": "05_flexible_bonuses-1800x1000.jpg",
                          "width": 1800,
                          "height": 1000,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/05_flexible_bonuses-1800x1000.jpg"
                      }
                  },
                  "image_meta": {
                      "aperture": 0,
                      "credit": "",
                      "camera": "",
                      "caption": "",
                      "created_timestamp": 0,
                      "copyright": "",
                      "focal_length": 0,
                      "iso": 0,
                      "shutter_speed": 0,
                      "title": "",
                      "orientation": 0
                  }
              }
          }
      ]
  }
}, {
  "id": 29,
  "name": "Sydney",
  "link": "https://wp.ustwo.com/blog/studio/sydney/",
  "address": {
      "street-address": "199 Cleveland St  ",
      "locality": "Redfern",
      "postal-code": "2016 ",
      "region": "NSW",
      "country-name": "Australia"
  },
  "location": {
      "lat": "-33.88952",
      "long": "151.20342900000003",
      "elevation": "36.67767715454102"
  },
  "color": "#6114cc",
  "recruitment-title": "Sydney",
  "recruitment-desc": "Leading the charge for ustwo's southern-most chapter, our newest studio is a small but growing space overlooking the green and leafy Prince Alfred Park in Redfern, Sydney. Bringing together a team from across the world, spearheaded by local knowledge, we opened the 'austwo' doors for business in January 2015.",
  "featured_image": 8970,
  "timezone": {
      "id": "Australia/Brisbane",
      "offset": 10
  },
  "_embedded": {
      "wp:attachment": [
          [{
              "id": 8970,
              "date": "2015-09-15T10:45:43",
              "slug": "austwo-48",
              "type": "attachment",
              "link": "https://wp.ustwo.com/blog/studio/sydney/austwo-48/",
              "title": {
                  "rendered": "austwo"
              },
              "author": 4,
              "alt_text": "austwo",
              "media_type": "image",
              "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48.jpg",
              "media_details": {
                  "width": 5184,
                  "height": 3456,
                  "file": "2015/07/austwo-48.jpg",
                  "sizes": {
                      "thumbnail": {
                          "file": "austwo-48-300x300.jpg",
                          "width": 300,
                          "height": 300,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48-300x300.jpg"
                      },
                      "medium": {
                          "file": "austwo-48-1024x683.jpg",
                          "width": 1024,
                          "height": 683,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48-1024x683.jpg"
                      },
                      "large": {
                          "file": "austwo-48-1800x1200.jpg",
                          "width": 1800,
                          "height": 1200,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48-1800x1200.jpg"
                      },
                      "small": {
                          "file": "austwo-48-640x427.jpg",
                          "width": 640,
                          "height": 427,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48-640x427.jpg"
                      },
                      "small_crop": {
                          "file": "austwo-48-640x480.jpg",
                          "width": 640,
                          "height": 480,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48-640x480.jpg"
                      },
                      "medium_crop": {
                          "file": "austwo-48-1024x768.jpg",
                          "width": 1024,
                          "height": 768,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48-1024x768.jpg"
                      },
                      "large_crop": {
                          "file": "austwo-48-1800x1200.jpg",
                          "width": 1800,
                          "height": 1200,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48-1800x1200.jpg"
                      }
                  },
                  "image_meta": {
                      "aperture": 0,
                      "credit": "",
                      "camera": "",
                      "caption": "",
                      "created_timestamp": 0,
                      "copyright": "",
                      "focal_length": 0,
                      "iso": 0,
                      "shutter_speed": 0,
                      "title": "",
                      "orientation": 0
                  }
              }
          }], {
              "id": 8970,
              "date": "2015-09-15T10:45:43",
              "slug": "austwo-48",
              "type": "attachment",
              "link": "https://wp.ustwo.com/blog/studio/sydney/austwo-48/",
              "title": {
                  "rendered": "austwo"
              },
              "author": 4,
              "alt_text": "austwo",
              "media_type": "image",
              "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48.jpg",
              "media_details": {
                  "width": 5184,
                  "height": 3456,
                  "file": "2015/07/austwo-48.jpg",
                  "sizes": {
                      "thumbnail": {
                          "file": "austwo-48-300x300.jpg",
                          "width": 300,
                          "height": 300,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48-300x300.jpg"
                      },
                      "medium": {
                          "file": "austwo-48-1024x683.jpg",
                          "width": 1024,
                          "height": 683,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48-1024x683.jpg",
                          "name": "medium"
                      },
                      "large": {
                          "file": "austwo-48-1800x1200.jpg",
                          "width": 1800,
                          "height": 1200,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48-1800x1200.jpg",
                          "name": "large"
                      },
                      "small": {
                          "file": "austwo-48-640x427.jpg",
                          "width": 640,
                          "height": 427,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48-640x427.jpg",
                          "name": "small"
                      },
                      "small_crop": {
                          "file": "austwo-48-640x480.jpg",
                          "width": 640,
                          "height": 480,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48-640x480.jpg"
                      },
                      "medium_crop": {
                          "file": "austwo-48-1024x768.jpg",
                          "width": 1024,
                          "height": 768,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48-1024x768.jpg"
                      },
                      "large_crop": {
                          "file": "austwo-48-1800x1200.jpg",
                          "width": 1800,
                          "height": 1200,
                          "mime-type": "image/jpeg",
                          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/austwo-48-1800x1200.jpg"
                      }
                  },
                  "image_meta": {
                      "aperture": 0,
                      "credit": "",
                      "camera": "",
                      "caption": "",
                      "created_timestamp": 0,
                      "copyright": "",
                      "focal_length": 0,
                      "iso": 0,
                      "shutter_speed": 0,
                      "title": "",
                      "orientation": 0
                  }
              }
          }
      ]
  }
}];
const jobs = [{
  "key": "5a6e",
  "title": "Agile Team Coach / PM",
  "full_title": "Agile Team Coach / PM - London",
  "code": "",
  "shortcode": "58E3D60B6A",
  "state": "published",
  "department": "",
  "url": "https://ustwo.workable.com/jobs/21916",
  "application_url": "https://ustwo.workable.com/jobs/21916/candidates/new",
  "shortlink": "https://ustwo.workable.com/j/58E3D60B6A",
  "location": {
    "country": "United Kingdom",
    "country_code": "GB",
    "region": "London",
    "region_code": "LND",
    "city": "London",
    "zip_code": "E1 6JJ",
    "telecommuting": ""
  },
  "created_at": "2014-10-08",
  "description": "Some description"
}, {
  "key": "25b3",
  "title": "Android Developer",
  "full_title": "Android Developer - London",
  "code": "",
  "shortcode": "31345F669C",
  "state": "published",
  "department": "",
  "url": "https://ustwo.workable.com/jobs/8417",
  "application_url": "https://ustwo.workable.com/jobs/8417/candidates/new",
  "shortlink": "https://ustwo.workable.com/j/31345F669C",
  "location": {
    "country": "United Kingdom",
    "country_code": "GB",
    "region": "London",
    "region_code": "LND",
    "city": "London",
    "zip_code": "E1 6JJ",
    "telecommuting": ""
  },
  "created_at": "2014-04-29",
  "description": "Some description"
}];

const newYorkJob = {
  "key": "25b3",
  "title": "Android Developer",
  "full_title": "Android Developer - New York",
  "code": "",
  "shortcode": "31345F669B",
  "state": "published",
  "department": "",
  "url": "https://ustwo.workable.com/jobs/8417",
  "application_url": "https://ustwo.workable.com/jobs/8417/candidates/new",
  "shortlink": "https://ustwo.workable.com/j/31345F669C",
  "location": {
    "country": "United States",
    "country_code": "US",
    "region": "New York",
    "region_code": "NY",
    "city": "New York",
    "zip_code": "10004",
    "telecommuting": ""
  },
  "created_at": "2014-04-29",
  "description": "Some description"
};

const Sandbox = React.createClass({
  render() {
    return <div className="sandbox full-width-component">
      <style>{`
        body {
          background: #ccc;
        }
      `}</style>
      {renderVariations({
        'All studios': <StudioJobs
            studio={{name: 'All studios'}}
            studios={studios}
            selected={true}
            jobs={jobs.concat(newYorkJob)}
            contactEmail="test@ustwo.com"
          />,
        'Selected studio': <StudioJobs
            studio={studio}
            studios={studios}
            selected={true}
            jobs={jobs}
            contactEmail="test@ustwo.com"
          />,
        'Unselected studio': <StudioJobs
            studio={studio}
            studios={studios}
            selected={false}
            jobs={jobs}
            contactEmail="test@ustwo.com"
          />,
        'With no jobs': <StudioJobs
            studio={studio}
            studios={studios}
            selected={true}
            jobs={[]}
            contactEmail="test@ustwo.com"
          />
      })}
    </div>;
  }
});

export default Sandbox;
