import SearchResults from './';

const posts = [
  {
    "id": 8386,
    "date": "2015-07-14T07:00:18",
    "guid": {
      "rendered": "http://ustwo.com/?post_type=blog&#038;p=8386"
    },
    "modified": "2015-09-08T17:18:21",
    "modified_gmt": "2015-09-08T17:18:21",
    "slug": "move-fast-make-things-lessons-from-designing-building-for-google-cardboard",
    "type": "post",
    "link": "https://backend/blog/move-fast-make-things-lessons-from-designing-building-for-google-cardboard/",
    "title": {
      "rendered": "Move Fast, Make Things: Designing + Building For Google Cardboard"
    },
    "excerpt": {
      "rendered": "<p>A little over a month ago, Cardboard Design Lab launched on the Google Play store. This wasn&#8217;t our typical product: a virtual reality app on an emerging platform, meant to teach, demonstrate, and validate VR design principles that are all still very much up for debate. All this in a brisk eight weeks! The only [&hellip;]</p>\n"
    },
    "author": 9,
    "featured_image": 8628,
    "comment_status": "closed",
    "ping_status": "closed",
    "sticky": false,
    "format": "standard",
    "seo": {
      "title": "Lessons From Designing and Building For Google Cardboard",
      "desc": "Just like any relationship, personal or professional, the ability to easily and openly talk to one another, understand needs, and iterate are the keys to effective teamwork.",
      "keywords": "google cardboard, designing for VR, teamwork processes, digital design, product design, app design, product development",
      "image": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/cardboard-board.jpg"
    },
    "page_builder": [
      {
        "name": "text",
        "attr": {
          "heading": {
            "name": "heading",
            "value": "",
            "type": "text"
          },
          "body": {
            "name": "body",
            "value": "<p>A little over a month ago, Cardboard Design Lab launched on the Google Play store. This wasn&#8217;t our typical product: a virtual reality app on an emerging platform, meant to teach, demonstrate, and validate VR design principles that are all still very much up for debate. All this in a brisk eight weeks! The only way to succeed was to work quickly, efficiently, and cohesively.</p>\n<p>After its launch, our team agreed that this was among the smoothest and most rewarding projects we’d ever had. We’re proud to have created a product that achieved exactly what we intended. Beyond that, the working process was enjoyable—each week felt more productive than the last, and we used virtually no overtime hours.</p>\n<p>During our retrospective, we tried to identify what made us so effective. Amidst plenty of high-level concepts, we wanted to document and share some very concrete examples of our team’s actions and behaviors. Here are a few of those processes that we found had a huge impact on our success:</p>\n<h3>Kick off your project in person</h3>\n<p>In our day-to-day work, it’s rare to have a client physically present. We, like many, compensate by using the wealth of communication tools now common in our industry: video chats, instant message, even the trusty (or dreaded?) conference call.</p>\n<p>Ultimately, nothing beats a face-to-face session. This is especially true at the beginning of a project, when it’s most important that everyone is aligned on team responsibilities and project goals and outcomes.</p>\n<p>That’s why we made sure to have a full-day in-person kickoff at Google’s Mountain View campus. Being on-site gave us time to form a real, intimate connection with the crew at Google. We were able to meet them as people first, before going on to work with them as faces on a screen or names in an email.</p>\n<p><img class=\"alignnone size-full wp-image-8393\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/cardboard-team-1024x768.jpg\" alt=\"cardboard-team\" width=\"3264\" height=\"2448\" /></p>\n<p>This empathy lasts throughout the project. When everyone gets to know each other in person, it’s that much easier to maintain a cohesive team later on, when deadlines are looming and stress is high. Plus, brainstorming activities are more fruitful when you can see everyone’s body language as they react to new ideas.</p>\n<p>When it was time to head back to New York, we had a new group of friends at Google, and we knew our vision of the product matched up with theirs.</p>\n<h3>Seat your team in the same room</h3>\n<p>In a project with a short turnaround, communication needs to be clear and quick. We found the best solution for this to be physical proximity between all disciplines on the team: designers, developers, and project managers.</p>\n<p>While our team worked on this project, we sat at the same quadrant of desks. This enabled constant communication between team members, and spontaneous feedback sessions to critique in-progress work.</p>\n<p>This connection was especially valuable for a more experimental, technical project. In our case: the designers on the team were learning the ins and outs of a new platform, Unity, and tools within Unity were constantly being created and updated for the team by our developer. This meant dozens of pushes to Git every day—and sometimes simple text descriptions couldn’t fully convey the context behind each change. Instead, we could just call out to each other as relevant changes were made and shared. If there were questions, they’d be answered then and there.</p>\n<h3>Empower the team to be self-sufficient</h3>\n<p>Sometimes design teams are forced into limbo, stuck waiting for a client’s go-ahead before addressing new ideas or issues that emerge throughout the workday.</p>\n<p>When a team is empowered to make its own decisions, that bottleneck is removed, and the team moves that much faster.</p>\n<p>For Cardboard, our team was able to react to daily findings without waiting for permission to proceed. That doesn’t mean we went rogue—we checked in with Google every Friday, and sent periodic updates throughout the week as needed.</p>\n<p>Between our initial kickoff and these regular check-ins, we knew we had a shared understanding of the product’s goals and principles. This gave us the freedom we needed to find creative solutions.</p>\n<p>Self-sufficiency isn’t just important in the team-client relationship; it holds true within the team as well! It wasn’t the sole responsibility of a PM to reach out to Google, or to schedule meetings. Any team member could take those steps if it meant quicker collaboration.</p>\n<p><img class=\"alignnone size-full wp-image-8397\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/08/cardboard-board-1024x631.jpg\" alt=\"cardboard-board\" width=\"1920\" height=\"1183\" /></p>\n<h3>Stay flexible with task management</h3>\n<p>At the start of the project, we gravitated toward standard digital task management software; in our case, Trello. Over time, it became a chore to log, assign, and organize the immense number of tasks we needed to track. Team members stopped checking the task board—resulting in a classic example of “out of sight, out of mind.”</p>\n<p>Instead of forcing Trello usage, we addressed the issue.</p>\n<p>In the final two weeks of the project, we shifted to a physical board. At each morning’s stand-up, we’d fill the backlog with the dozens of tasks we thought could be finished in a day. Some might take minutes, others hours. We’d assign them to team members, and each person could tackle them in whichever order suited the team best.</p>\n<p>This gave us an extremely fluid and granular way to attack our daily tasks. Think of an idea or spot a bug? Write it down and put it on the board. Not a sophisticated system, but it was blazingly fast and visible. Seeing the tasks physically gave us a much greater shared understanding of our overall progress and needs.</p>\n<p>Now, we understand this might be micromanagement and probably not sustainable for a full project, or even larger milestones. But task management should serve the needs of the team, and this system worked incredibly well for us, exactly when we needed it.</p>\n<h3>Work on the same thing, at the same time</h3>\n<p>For Cardboard Design Lab, we all simultaneously worked out of the same project file. Without proper preparation, this can be extremely dangerous.</p>\n<p>Fortunately, Unity projects are made up of a collection of discrete files, each manageable by Git. We structured the project so that updates could be isolated to a single file – even going as far as splitting up our forest scene into sections, so trees could be placed in one section while lighting was changed in another.</p>\n<p>As long as we all frequently pulled from Git, and knew who was responsible for which each part of the project, we were able to simultaneously work on different areas of the project with little fear of consequence.</p>\n<p>While this takes a bit of set-up and planning at the start of the project, it’s more than worth it for the time saved down the road.</p>\n<h3>Summing it all up</h3>\n<p>You might have picked up on it, but each of these processes, tips and tricks can be housed under a larger, overarching theme: Communication. Just like any relationship, personal or professional, the ability to easily and openly talk to one another, understand needs, and iterate are the keys to effective teamwork, just as we experienced while working on Cardboard. Keep your lines of communication and collaboration open and honest from day one, and the rest will fall into place.</p>\n",
            "type": "wysiwyg"
          }
        }
      }
    ],
    "display_title": "",
    "colors": {
      "bg": "",
      "primary": "",
      "secondary": ""
    },
    "terms": {
      "category": [
        487
      ]
    },
    "_links": {
      "self": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/8386"
        }
      ],
      "collection": [
        {
          "href": "https://backend/wp-json/wp/v2/posts"
        }
      ],
      "author": [
        {
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/users/9"
        }
      ],
      "replies": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/comments?post_id=8386"
        }
      ],
      "version-history": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/8386/revisions"
        }
      ],
      "wp:attachment": [
        {
          "embeddable": true,
          "role": "legacy_featured",
          "href": "https://backend/wp-json/wp/v2/media/8628"
        },
        {
          "embeddable": true,
          "role": "featured",
          "href": "https://backend/wp-json/wp/v2/media/8628"
        }
      ],
      "wp:term": [
        {
          "taxonomy": "category",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/8386/terms/category"
        },
        {
          "taxonomy": "post_tag",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/8386/terms/tag"
        },
        {
          "taxonomy": "post_format",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/8386/terms/post_format"
        }
      ],
      "wp:meta": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/posts/8386/meta"
        }
      ]
    },
    "_embedded": {
      "author": [
        {
          "avatar_urls": {
            "24": "https://secure.gravatar.com/avatar/439695298a1ebdddaa9f7d9513a48dd1?s=24&d=mm&r=g",
            "48": "https://secure.gravatar.com/avatar/439695298a1ebdddaa9f7d9513a48dd1?s=48&d=mm&r=g",
            "96": "https://secure.gravatar.com/avatar/439695298a1ebdddaa9f7d9513a48dd1?s=96&d=mm&r=g"
          },
          "description": "Casey is a curator of marketing, community and events at ustwo™. Hopeless geekette. Extreme baker. World traveler. Follow her on Twitter @caseyhopkins.",
          "first_name": "Casey",
          "id": 9,
          "last_name": "Hopkins",
          "link": "https://backend/blog/author/casey/",
          "name": "Casey Hopkins",
          "url": "",
          "contact_methods": {
            "twitter": "",
            "facebook": ""
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/users/9"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/users"
              }
            ]
          }
        }
      ],
      "wp:attachment": [
        [
          {
            "id": 8628,
            "date": "2015-08-06T16:41:24",
            "slug": "designing_for_google_cardboard",
            "type": "attachment",
            "link": "https://backend/blog/move-fast-make-things-lessons-from-designing-building-for-google-cardboard/designing_for_google_cardboard/",
            "title": {
              "rendered": "designing_for_google_cardboard"
            },
            "author": 6,
            "alt_text": "",
            "media_type": "image",
            "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard.jpg",
            "media_details": {
              "width": 1800,
              "height": 1000,
              "file": "2015/07/designing_for_google_cardboard.jpg",
              "sizes": {
                "thumbnail": {
                  "file": "designing_for_google_cardboard-300x300.jpg",
                  "width": 300,
                  "height": 300,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard-300x300.jpg"
                },
                "medium": {
                  "file": "designing_for_google_cardboard-1024x569.jpg",
                  "width": 1024,
                  "height": 569,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard-1024x569.jpg"
                },
                "large": {
                  "file": "designing_for_google_cardboard-1800x1000.jpg",
                  "width": 1800,
                  "height": 1000,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard-1800x1000.jpg"
                },
                "small": {
                  "file": "designing_for_google_cardboard-640x356.jpg",
                  "width": 640,
                  "height": 356,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard-640x356.jpg"
                },
                "small_crop": {
                  "file": "designing_for_google_cardboard-640x480.jpg",
                  "width": 640,
                  "height": 480,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard-640x480.jpg"
                },
                "medium_crop": {
                  "file": "designing_for_google_cardboard-1024x768.jpg",
                  "width": 1024,
                  "height": 768,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard-1024x768.jpg"
                },
                "large_crop": {
                  "file": "designing_for_google_cardboard-1800x1000.jpg",
                  "width": 1800,
                  "height": 1000,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard-1800x1000.jpg"
                }
              },
              "image_meta": {
                "aperture": 0,
                "credit": "",
                "camera": "",
                "caption": "",
                "created_timestamp": 0,
                "copyright": "",
                "focal_length": 0,
                "iso": 0,
                "shutter_speed": 0,
                "title": "",
                "orientation": 0
              }
            },
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/media/8628"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/media"
                }
              ],
              "author": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/users/6"
                }
              ],
              "replies": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/comments?post_id=8628"
                }
              ]
            }
          }
        ],
        {
          "id": 8628,
          "date": "2015-08-06T16:41:24",
          "slug": "designing_for_google_cardboard",
          "type": "attachment",
          "link": "https://backend/blog/move-fast-make-things-lessons-from-designing-building-for-google-cardboard/designing_for_google_cardboard/",
          "title": {
            "rendered": "designing_for_google_cardboard"
          },
          "author": 6,
          "alt_text": "",
          "media_type": "image",
          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard.jpg",
          "media_details": {
            "width": 1800,
            "height": 1000,
            "file": "2015/07/designing_for_google_cardboard.jpg",
            "sizes": {
              "thumbnail": {
                "file": "designing_for_google_cardboard-300x300.jpg",
                "width": 300,
                "height": 300,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard-300x300.jpg"
              },
              "medium": {
                "file": "designing_for_google_cardboard-1024x569.jpg",
                "width": 1024,
                "height": 569,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard-1024x569.jpg",
                "name": "medium"
              },
              "large": {
                "file": "designing_for_google_cardboard-1800x1000.jpg",
                "width": 1800,
                "height": 1000,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard-1800x1000.jpg",
                "name": "large"
              },
              "small": {
                "file": "designing_for_google_cardboard-640x356.jpg",
                "width": 640,
                "height": 356,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard-640x356.jpg",
                "name": "small"
              },
              "small_crop": {
                "file": "designing_for_google_cardboard-640x480.jpg",
                "width": 640,
                "height": 480,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard-640x480.jpg"
              },
              "medium_crop": {
                "file": "designing_for_google_cardboard-1024x768.jpg",
                "width": 1024,
                "height": 768,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard-1024x768.jpg"
              },
              "large_crop": {
                "file": "designing_for_google_cardboard-1800x1000.jpg",
                "width": 1800,
                "height": 1000,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/07/designing_for_google_cardboard-1800x1000.jpg"
              }
            },
            "image_meta": {
              "aperture": 0,
              "credit": "",
              "camera": "",
              "caption": "",
              "created_timestamp": 0,
              "copyright": "",
              "focal_length": 0,
              "iso": 0,
              "shutter_speed": 0,
              "title": "",
              "orientation": 0
            }
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/media/8628"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/media"
              }
            ],
            "author": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/users/6"
              }
            ],
            "replies": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/comments?post_id=8628"
              }
            ]
          }
        }
      ],
      "wp:term": [
        [
          {
            "id": 487,
            "link": "https://backend/blog/category/process/",
            "name": "Process",
            "slug": "process",
            "taxonomy": "category",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category/487"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category"
                }
              ]
            }
          }
        ],
        [],
        [
          {
            "code": "rest_no_route",
            "message": "No route was found matching the URL and request method",
            "data": {
              "status": 404
            }
          }
        ]
      ]
    }
  },
  {
    "id": 8204,
    "date": "2015-06-10T13:53:08",
    "guid": {
      "rendered": "http://ustwo.com/?post_type=blog&#038;p=8204"
    },
    "modified": "2015-08-06T16:46:12",
    "modified_gmt": "2015-08-06T16:46:12",
    "slug": "digital-design-still-needs-more-women",
    "type": "post",
    "link": "https://backend/blog/digital-design-still-needs-more-women/",
    "title": {
      "rendered": "Digital design still needs more women"
    },
    "excerpt": {
      "rendered": "<p>Digital design still needs more women.</p>\n"
    },
    "author": 80,
    "featured_image": 8631,
    "comment_status": "open",
    "ping_status": "closed",
    "sticky": false,
    "format": "standard",
    "seo": {
      "title": "Digital design still needs more women",
      "desc": "'Leaning in' is not enough – digital design still needs more women",
      "keywords": "lean in, women, feminism, design, sandberg, sprinzette, nicki sprinz, ustwo",
      "image": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31-640x480.jpg"
    },
    "page_builder": [
      {
        "name": "text",
        "attr": {
          "heading": {
            "name": "heading",
            "value": "",
            "type": "text"
          },
          "body": {
            "name": "body",
            "value": "<p><em>This article originally appeared in <a href=\"http://www.digitalartsonline.co.uk/news/creative-business/digital-design-still-needs-more-women/\" target=\"_blank\">Digital Arts </a>on 19th May 2015.</em></p>\n<p>Another week, another women in tech story – who cares? You should. Despite all the noise, the campaigning, the diversity committees, the hashtags and the supportive communities, women still make up just 17% of technology roles in the digital design industry, with only 11.2% of women taking leadership roles. This disparity in leadership isn’t just about tech start-ups, this applies across the creative industries: only 3% of creative directors are female. </p>\n<p>This matters because digital is no longer about IT: it is an integral function cutting across every part of business, and it is the future of multiple business opportunities. Most, if not all, businesses serve women, and need women at the table to inform what they do.</p>\n<p>Week in, week out, I can bet on one thing – almost all of the new business meetings I take will involve me, a woman, sitting across the table from a man or group of men.</p>\n<p>When it comes to the decision-makers, the people who can sign off enough money to invest in a new digital service or product, these individuals are for the most part male. Ever the optimist, each new meeting I take I hope that I’ll find myself talking with both men and women, but it’s rarely the case – gender parity remains elusive in the world of product innovation.</p>\n<p><img src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/Nicki-blogpost.jpg\" alt=\"A cartoon of a group of 10 people, 8 men and 2 women\" width=\"800\" height=\"600\" class=\"alignnone size-full wp-image-8260\" /></p>\n<p>As a woman trying to forge a career in the creative industries, I long to see more women sitting at the table with me, but I recognise the many obstacles, most of which will not be solved by simply leaning in.</p>\n<p>For all the daily (male) protestations, this industry is not a meritocracy: unequal pay, all-white male senior management teams, a lack of promotion or development, being talked over by men in meetings, or being treated like the PA – these are just some of the issues women working in digital have to contend with today. Not to mention the harassment many female gamers and technologists have been subjected to. </p>\n<p>Despite Sheryl Sandberg’s recent missive to <a href=\"http://leanin.org/\">Lean In</a>, there is an undeniable absence of women at leadership levels in most digital companies, and no sign of this changing anytime soon.</p>\n<p>In fact, in a report recently in The Economist, Australia, the US, France, Scandinavia, Israel and Slovakia were all listed as countries where women fared better at work than the UK. Mind boggling, particularly when you note that the US doesn’t even enforce paid maternity or parental leave. Even more mind boggling when you admit that we’ve all <a href=\"http://www.mckinsey.com/insights/organization/is_there_a_payoff_from_top-team_diversity\">read the same reports</a>: companies with women on their boards outperform those without, diverse teams outperform teams without women; we create better products and services when teams can understand and design for their diverse customers. All of which begs the question, what kind of company would ignore such compelling data?</p>\n<p>Even at <a href=\"http://ustwo.com/\">ustwo</a> – for the most part a progressive, fun, creative and family-friendly company – there are no global female leaders. It’s something we all – from intern to senior leadership team – are aware of and and are actively working to address.</p>\n<p>The first step we’ve taken this year is to ask every member of the company what diversity means to them and whether they think ustwo is doing enough to push for equal pay and opportunity for both men and women. Additionally, we’re also running a series of workshops to redesign how global governance works with diversity as a key consideration. Baby steps, yes, but acknowledging the problem means we&#8217;re going in the right direction.</p>\n<p>Striving for equality and gender parity in the workplace demands and deserves the support of men. And here’s the good news: in the last five years, I’ve met more men who count themselves as allies and advocates for the women they work with than ever before. </p>\n<p>My former colleagues <a href=\"https://twitter.com/_Rossio_\" target=\"_blank\">@rossio</a> and <a href=\"https://twitter.com/higgis\">@higgis</a> are both proud feminists who consistently advocated for their female colleagues when seemingly innocuous decisions were made that excluded the women at work, including sending all male teams to pitch, or only sending men to international conferences. I currently work with several proud male feminists (<a href=\"https://twitter.com/wadus\" target=\"_blank\">@wadus</a>, <a href=\"https://twitter.com/ScottEwings\" target=\"_blank\">@scottewings</a>, <a href=\"https://twitter.com/timjameskim\" target=\"_blank\">@timkim</a> to name three) – all of whom strive consistently not to interrupt women and work hard to be conscious of their biases. </p>\n<p>It’s not just men who need to support women in the workplace. Women need to be looking out for other women too: if you’re lucky enough to have managed to move up a level, you should be holding the door open for the next woman on her way up. That means acting as a sponsor to women you work with, advocating on their behalf, or offering opportunities to them that you might like for yourself. Women need role models, and as Madeline Albright so pithily put it: “There is a special place in hell for women who don’t help other women.”</p>\n<p><em>This article originally appeared in <a href=\"http://www.digitalartsonline.co.uk/news/creative-business/digital-design-still-needs-more-women/\" target=\"_blank\">Digital Arts </a>on 19th May 2015.</em></p>\n",
            "type": "wysiwyg"
          }
        }
      }
    ],
    "display_title": "",
    "colors": {
      "bg": "",
      "primary": "",
      "secondary": ""
    },
    "terms": {
      "category": [
        306
      ],
      "post_tag": [
        311,
        317,
        328,
        370,
        382,
        422,
        453,
        475
      ]
    },
    "_links": {
      "self": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/8204"
        }
      ],
      "collection": [
        {
          "href": "https://backend/wp-json/wp/v2/posts"
        }
      ],
      "author": [
        {
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/users/80"
        }
      ],
      "replies": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/comments?post_id=8204"
        }
      ],
      "version-history": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/8204/revisions"
        }
      ],
      "wp:attachment": [
        {
          "embeddable": true,
          "role": "legacy_featured",
          "href": "https://backend/wp-json/wp/v2/media/8631"
        },
        {
          "embeddable": true,
          "role": "featured",
          "href": "https://backend/wp-json/wp/v2/media/8631"
        }
      ],
      "wp:term": [
        {
          "taxonomy": "category",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/8204/terms/category"
        },
        {
          "taxonomy": "post_tag",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/8204/terms/tag"
        },
        {
          "taxonomy": "post_format",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/8204/terms/post_format"
        }
      ],
      "wp:meta": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/posts/8204/meta"
        }
      ]
    },
    "_embedded": {
      "author": [
        {
          "avatar_urls": {
            "24": "https://secure.gravatar.com/avatar/176e349f348f2e19548bd6bc06a39c6f?s=24&d=mm&r=g",
            "48": "https://secure.gravatar.com/avatar/176e349f348f2e19548bd6bc06a39c6f?s=48&d=mm&r=g",
            "96": "https://secure.gravatar.com/avatar/176e349f348f2e19548bd6bc06a39c6f?s=96&d=mm&r=g"
          },
          "description": "Nicki is Business Director at ustwo and co-founder of Ada’s List, a community designed to support women working in the tech industry.",
          "first_name": "Nicki",
          "id": 80,
          "last_name": "Sprinz",
          "link": "https://backend/blog/author/nicki-ustwo/",
          "name": "Nicki Sprinz",
          "url": "",
          "contact_methods": {
            "twitter": "",
            "facebook": ""
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/users/80"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/users"
              }
            ]
          }
        }
      ],
      "wp:attachment": [
        [
          {
            "id": 8631,
            "date": "2015-08-06T16:46:00",
            "slug": "design_needs_more_women_v3-2",
            "type": "attachment",
            "link": "https://backend/blog/digital-design-still-needs-more-women/design_needs_more_women_v3-2/",
            "title": {
              "rendered": "design_needs_more_women_v3"
            },
            "author": 6,
            "alt_text": "",
            "media_type": "image",
            "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31.jpg",
            "media_details": {
              "width": 1800,
              "height": 1000,
              "file": "2015/06/design_needs_more_women_v31.jpg",
              "sizes": {
                "thumbnail": {
                  "file": "design_needs_more_women_v31-300x300.jpg",
                  "width": 300,
                  "height": 300,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31-300x300.jpg"
                },
                "medium": {
                  "file": "design_needs_more_women_v31-1024x569.jpg",
                  "width": 1024,
                  "height": 569,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31-1024x569.jpg"
                },
                "large": {
                  "file": "design_needs_more_women_v31-1800x1000.jpg",
                  "width": 1800,
                  "height": 1000,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31-1800x1000.jpg"
                },
                "small": {
                  "file": "design_needs_more_women_v31-640x356.jpg",
                  "width": 640,
                  "height": 356,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31-640x356.jpg"
                },
                "small_crop": {
                  "file": "design_needs_more_women_v31-640x480.jpg",
                  "width": 640,
                  "height": 480,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31-640x480.jpg"
                },
                "medium_crop": {
                  "file": "design_needs_more_women_v31-1024x768.jpg",
                  "width": 1024,
                  "height": 768,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31-1024x768.jpg"
                },
                "large_crop": {
                  "file": "design_needs_more_women_v31-1800x1000.jpg",
                  "width": 1800,
                  "height": 1000,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31-1800x1000.jpg"
                }
              },
              "image_meta": {
                "aperture": 0,
                "credit": "",
                "camera": "",
                "caption": "",
                "created_timestamp": 0,
                "copyright": "",
                "focal_length": 0,
                "iso": 0,
                "shutter_speed": 0,
                "title": "",
                "orientation": 0
              }
            },
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/media/8631"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/media"
                }
              ],
              "author": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/users/6"
                }
              ],
              "replies": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/comments?post_id=8631"
                }
              ]
            }
          }
        ],
        {
          "id": 8631,
          "date": "2015-08-06T16:46:00",
          "slug": "design_needs_more_women_v3-2",
          "type": "attachment",
          "link": "https://backend/blog/digital-design-still-needs-more-women/design_needs_more_women_v3-2/",
          "title": {
            "rendered": "design_needs_more_women_v3"
          },
          "author": 6,
          "alt_text": "",
          "media_type": "image",
          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31.jpg",
          "media_details": {
            "width": 1800,
            "height": 1000,
            "file": "2015/06/design_needs_more_women_v31.jpg",
            "sizes": {
              "thumbnail": {
                "file": "design_needs_more_women_v31-300x300.jpg",
                "width": 300,
                "height": 300,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31-300x300.jpg"
              },
              "medium": {
                "file": "design_needs_more_women_v31-1024x569.jpg",
                "width": 1024,
                "height": 569,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31-1024x569.jpg",
                "name": "medium"
              },
              "large": {
                "file": "design_needs_more_women_v31-1800x1000.jpg",
                "width": 1800,
                "height": 1000,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31-1800x1000.jpg",
                "name": "large"
              },
              "small": {
                "file": "design_needs_more_women_v31-640x356.jpg",
                "width": 640,
                "height": 356,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31-640x356.jpg",
                "name": "small"
              },
              "small_crop": {
                "file": "design_needs_more_women_v31-640x480.jpg",
                "width": 640,
                "height": 480,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31-640x480.jpg"
              },
              "medium_crop": {
                "file": "design_needs_more_women_v31-1024x768.jpg",
                "width": 1024,
                "height": 768,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31-1024x768.jpg"
              },
              "large_crop": {
                "file": "design_needs_more_women_v31-1800x1000.jpg",
                "width": 1800,
                "height": 1000,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/06/design_needs_more_women_v31-1800x1000.jpg"
              }
            },
            "image_meta": {
              "aperture": 0,
              "credit": "",
              "camera": "",
              "caption": "",
              "created_timestamp": 0,
              "copyright": "",
              "focal_length": 0,
              "iso": 0,
              "shutter_speed": 0,
              "title": "",
              "orientation": 0
            }
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/media/8631"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/media"
              }
            ],
            "author": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/users/6"
              }
            ],
            "replies": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/comments?post_id=8631"
              }
            ]
          }
        }
      ],
      "wp:term": [
        [
          {
            "id": 306,
            "link": "https://backend/blog/category/culture/",
            "name": "Culture",
            "slug": "culture",
            "taxonomy": "category",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category/306"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category"
                }
              ]
            }
          }
        ],
        [
          {
            "id": 311,
            "link": "https://backend/blog/tag/design/",
            "name": "Design",
            "slug": "design",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/311"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 317,
            "link": "https://backend/blog/tag/digital-products/",
            "name": "Digital Products",
            "slug": "digital-products",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/317"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 328,
            "link": "https://backend/blog/tag/feminism/",
            "name": "feminism",
            "slug": "feminism",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/328"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 370,
            "link": "https://backend/blog/tag/lean-in/",
            "name": "lean in",
            "slug": "lean-in",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/370"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 382,
            "link": "https://backend/blog/tag/nicki-sprinz/",
            "name": "nicki sprinz",
            "slug": "nicki-sprinz",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/382"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 422,
            "link": "https://backend/blog/tag/sprinzette/",
            "name": "sprinzette",
            "slug": "sprinzette",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/422"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 453,
            "link": "https://backend/blog/tag/ustwo/",
            "name": "ustwo",
            "slug": "ustwo",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/453"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 475,
            "link": "https://backend/blog/tag/women/",
            "name": "women",
            "slug": "women",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/475"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          }
        ],
        [
          {
            "code": "rest_no_route",
            "message": "No route was found matching the URL and request method",
            "data": {
              "status": 404
            }
          }
        ]
      ]
    }
  },
  {
    "id": 8235,
    "date": "2015-05-29T22:41:45",
    "guid": {
      "rendered": "http://ustwo.com/?post_type=blog&#038;p=8235"
    },
    "modified": "2015-08-19T13:10:27",
    "modified_gmt": "2015-08-19T13:10:27",
    "slug": "designing-for-virtual-reality-google-cardboard",
    "type": "post",
    "link": "https://backend/blog/designing-for-virtual-reality-google-cardboard/",
    "title": {
      "rendered": "Designing For Virtual Reality"
    },
    "excerpt": {
      "rendered": "<p>Virtual reality. It’s an experience that’s been around since the mid­ 80s, but technology always seemed to hold it back. The advances in smartphones and related technologies has finally brought the incredible potential of VR within reach. Now, we’re in the midst of a virtual reality revolution.From high-end platforms that cost thousands of dollars to [&hellip;]</p>\n"
    },
    "author": 9,
    "featured_image": 8632,
    "comment_status": "closed",
    "ping_status": "closed",
    "sticky": false,
    "format": "standard",
    "seo": {
      "title": "Designing For Virtual Reality",
      "desc": "Cardboard Design Lab, a collaboration from Google and ustwo, visually immerses designers into the very principles they'll be crafting VR experiences around.",
      "keywords": "google, cardboard, design lab, VR, principles, guidelines, google io",
      "image": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard-640x480.jpg"
    },
    "page_builder": [
      {
        "name": "text",
        "attr": {
          "heading": {
            "name": "heading",
            "value": "",
            "type": "text"
          },
          "body": {
            "name": "body",
            "value": "<p><strong>Virtual reality.</strong> It’s an experience that’s been around since the mid­ 80s, but technology always seemed to hold it back. The advances in smartphones and related technologies has finally brought the incredible potential of VR within reach. Now, we’re in the midst of a virtual reality revolution.</p>\n<p>From high-end platforms that cost thousands of dollars to smartphone-run systems, the surface of designing for VR has just barely been scratched. Essentially, it’s a wild west, ripe for exploration and new ideas, and Google’s kicking off the conversation.</p>\n<p><img class=\" size-full wp-image-8249 aligncenter\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/cardboard.png\" alt=\"cardboard\" width=\"1024\" height=\"500\" /></p>\n<p>Last year, they started by introducing <a href=\"http://google.com/cardboard\">Google Cardboard</a>: A simple, inexpensive way for anyone with a smartphone to experience virtual reality. Simply download the Cardboard app, purchase (or make your own) <a href=\"http://www.google.com/get/cardboard/get-cardboard/\">Cardboard Viewer</a>, and you’re off to the virtual races. Care to develop your own app? There’s an SDK for that. Then, earlier this year, <a href=\"http://www.google.com/design/spec-vr/designing-for-google-cardboard/a-new-dimension.html\">a set of written design guidelines</a> for Cardboard were released. These detail principles like “How to avoid simulator sickness” and “How to ground your user with fixed objects.” But what better way to teach and inspire VR designers than with an experience of their very own?</p>\n<p><a href=\"https://www.youtube.com/watch?v=Qwh1LBzz3AU\">Today at Google I/O 2015</a>, the Cardboard team debuted <a href=\"https://play.google.com/store/apps/details?id=com.google.vr.cardboard.apps.designlab\">Cardboard Design Lab</a>: An interactive VR-based “companion app”, which demonstrates the guidelines and principles crafted earlier this year. Google collaborated with ustwo to not only design and develop the experience, but to act as a sounding board, road testing the guidelines ourselves. Our communal goal is to help everyone interested in designing and developing for VR to gain a more solid spectrum of what’s certain, and what can (and should) be explored.</p>\n<p style=\"text-align: center;\">&#8212;</p>\n<p>Within the Design Lab, the principles are categorized into interactive chapters, dubbed “Foundation” and “Immersion”. Foundation focuses on, and teaches designers about, basic VR guidelines, which are more or less universally agreed upon. Immersion is more exploratory, both in theory and within the Cardboard Design Lab experience itself. First, let’s touch on a few Foundation principles depicted in the Lab:</p>\n<p><div id=\"attachment_8236\" style=\"width: 2570px\" class=\"wp-caption aligncenter\"><img class=\"size-full wp-image-8236\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/05-windmill.png\" alt=\"The importance of head tracking is demonstrated by freezing the user's view when looking around at windmills.\" width=\"2560\" height=\"1440\" /><p class=\"wp-caption-text\">The importance of head tracking is demonstrated by freezing the user&#8217;s view when looking around at windmills.</p></div><br />\n<h3>Head Tracking</h3>\n<p>It’s fairly commonplace knowledge that if a user moves their head in a VR environment, it should be reflected in the application. “The most important guideline in designing for virtual reality is to always maintain head tracking. Never stop tracking the user’s head position inside of the application. Even a short pause in head tracking will cause some users to feel ill.” This principle, along with “using constant velocity at low speeds”, or “grounding the user in their environment” are all guidelines needed for any basic VR experience.</p>\n<p><div id=\"attachment_8237\" style=\"width: 1930px\" class=\"wp-caption aligncenter\"><img class=\"wp-image-8237 size-full\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/03_minecart.png\" alt=\"Mine cart\" width=\"1920\" height=\"1080\" /><p class=\"wp-caption-text\">Proper use of motion is experienced, in both good and bad examples, through riding a mine cart.</p></div><br />\n<h3>Acceleration</h3>\n<p>Moving a user through your environment is particularly tricky in VR, since it&#8217;s fundamental to how humans perceive their position in space. If you’re standing still, there is is acceleration due to gravity, which is how you keep yourself oriented. Ignoring acceleration altogether and snapping to a constant velocity is very unnatural. So the challenge is to either find the right amount of acceleration or replace the feeling of acceleration with something else entirely. For this version of Cardboard Design Lab, our team is experimenting with 83 milliseconds of acceleration, about 3m/s of constant velocity, and 266 milliseconds of deceleration. We think it’s a graceful solution, but it’s certainly one principle in the Design Lab that we’re looking forward to getting feedback from the community on.</p>\n<p><div id=\"attachment_8238\" style=\"width: 1930px\" class=\"wp-caption aligncenter\"><img class=\"size-full wp-image-8238\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/02-reticles.png\" alt=\"Try popping balloons with and without the assistance of a reticle.\" width=\"1920\" height=\"1080\" /><p class=\"wp-caption-text\">Try popping balloons with and without the assistance of a reticle.</p></div><br />\n<h3>Utilizing Reticles</h3>\n<p>Because most VR systems can&#8217;t track eye position (yet), there’s no way for the user to tell the app where their gaze is focused. So instead, a reticle helps the app show the user where it’s center is. In the example above, we have the user attempt to pop the balloons without the use of a reticle, with the result being it’s likely they’ll miss their target a few times before getting the hang of it. We had never seen the use of a reticle before in VR, but it’s an example of something that’s so small and simple that will open doors for designers to craft better experiences.</p>\n<p>The goal of using a reticle is to easily allow users to understand if something is selectable, to quickly navigate through a menu, etc. We were careful not to let the reticle interfere with the design of application; sometimes we don’t have it visible, and our pilot version is minimalistic and utilitarian. It’s a foundation that designers can iterate and build on, whether they are creating crosshairs, a camera, or whatever they believe best fits their experience.</p>\n<p style=\"text-align: center;\">&#8212;</p>\n<p>Once the Foundations are understood, designers move on to Immersion principles. Inspired by Muir Woods just north of San Francisco, the Immersion portion of the Lab educates designers about certain principles that, while not absolutely necessary for a VR application, are ones that come highly recommended for providing the user with the best experience possible. Below are some examples of the guidelines that we expect will evolve heavily as time goes on:</p>\n<p><img class=\" size-full wp-image-8239 aligncenter\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/01-redwoods.png\" alt=\"Redwoods\" width=\"1920\" height=\"1080\" /></p>\n<h3>Using Scale</h3>\n<p>There are many things that make VR experiences truly unique, the most striking of which is the impact of differences in scale between the user and their environment. While building the Design Lab, ustwo played with many variations of scale, and settled on the perspective you see above where the user feels small, and almost humbled. As the goal of Immersion principles are to initiate emotional reactions, we felt that designers experiencing just how grand and vast the world around them can be would jumpstart their imaginations.</p>\n<p><div id=\"attachment_8240\" style=\"width: 1930px\" class=\"wp-caption aligncenter\"><img class=\"wp-image-8240 size-full\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/04-campfire.png\" alt=\"Follow the sound of the owl hoot in your right ear and you’ll discover an owl staring at you from his perch in a tree.\" width=\"1920\" height=\"1080\" /><p class=\"wp-caption-text\">Follow the sound of the owl hoot in your right ear and you’ll discover an owl staring at you from his perch in a tree.</p></div><br />\n<h3>Spatial Audio</h3>\n<p>A fairly unique concept to 3D and VR games, spatial audio places sounds in physical locations in the environment around you. So, a sound that comes from an object to your left sounds like it’s coming from the left in your headphones. In the example above, the user hears the hoot of the owl and subsequently looks to the right, where they discover the owl in question, staring at them from his perch in a tree. This lesson, while simple, teaches designers about the infinite possibilities of audio in their virtual creations.<br /> <img class=\" size-full wp-image-8241 aligncenter\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/06-constelllations.png\" alt=\"Constelllations\" width=\"1920\" height=\"1080\" /></p>\n<h3>Gaze Cues</h3>\n<p>The implementation of gaze cues, which may be a new concept for those just starting to design for VR, are something we’re really excited to see evolve as time goes on. A gaze cue is when the experience reacts based on where the user is looking. The experience could react more subtly, &#8220;hover state&#8221; style, or it could be event-based, like spawning a monster behind you in a horror game. In the example we created for Cardboard Design Lab, staring at the star-filled sky activates a hover-state gaze cue, revealing a series of constellations.</p>\n<p><div id=\"attachment_8242\" style=\"width: 1930px\" class=\"wp-caption aligncenter\"><img class=\"size-full wp-image-8242\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/07-overlook.png\" alt=\"Reach your final destination at the top of your hike to discover the sun setting over the ocean.\" width=\"1920\" height=\"1080\" /><p class=\"wp-caption-text\">Reach your final destination at the top of your hike to discover the sun setting over the ocean.</p></div><br />\n<h3>Make It Beautiful</h3>\n<p>Our final Immersion principle? Make it beautiful. By focusing on the visual beauty of what you’re creating, you’re enhancing the feeling of immersion experienced by the user. At the end of your hike through the lesson-filled forest, the user emerges on a clifftop overlooking the ocean, allowing them to witness the sunrise. We wanted the user to a moment, breathe, and let the inspiration sink in before starting their own VR design journey.</p>\n<p style=\"text-align: center;\">&#8212;</p>\n<p>“Our intent was not to create some kind of bible for designing in VR,” states Toph Brown, project manager at ustwo for the Cardboard Design Lab. “VR is moving fast, and it’s a team sport &#8211; everyone in the industry is working together to make VR more accessible and useful. Because of this, it’s silly to put a line in the sand and declare ‘this is the way’ things should be done. At the same time, we think that some ideas are solid enough to start to building a collective understanding on. With Cardboard Design Lab, we tried to craft an experience which demonstrates and validates some of these ideas. We want designers to take this and use it as a foundation to create beautiful things in VR. The best part is we’re only at the beginning; there’s a lot more to figure out.”</p>\n<p>The intent of the Cardboard Design Lab from the very beginning was to not only be an example of what’s possible, but to serve as an interactive learning experience where designers and developers can take our concepts, go forth, and make them their own. It’s meant to inspire. To start conversations. To start us down the path to virtual reality applications that people actually want to use and experience. Today is the first step, and we’re really looking forward to the feedback of the community so Google, ustwo and all VR designers can continue to explore the trail together.</p>\n<p>The Cardboard Design Lab is available now in the <a href=\"https://play.google.com/store/apps/details?id=com.google.vr.cardboard.apps.designlab\">Google Play Store</a></p>\n",
            "type": "wysiwyg"
          }
        }
      }
    ],
    "display_title": "",
    "colors": {
      "bg": "",
      "primary": "",
      "secondary": ""
    },
    "terms": {
      "category": [
        489
      ]
    },
    "_links": {
      "self": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/8235"
        }
      ],
      "collection": [
        {
          "href": "https://backend/wp-json/wp/v2/posts"
        }
      ],
      "author": [
        {
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/users/9"
        }
      ],
      "replies": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/comments?post_id=8235"
        }
      ],
      "version-history": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/8235/revisions"
        }
      ],
      "wp:attachment": [
        {
          "embeddable": true,
          "role": "legacy_featured",
          "href": "https://backend/wp-json/wp/v2/media/8632"
        },
        {
          "embeddable": true,
          "role": "featured",
          "href": "https://backend/wp-json/wp/v2/media/8632"
        }
      ],
      "wp:term": [
        {
          "taxonomy": "category",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/8235/terms/category"
        },
        {
          "taxonomy": "post_tag",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/8235/terms/tag"
        },
        {
          "taxonomy": "post_format",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/8235/terms/post_format"
        }
      ],
      "wp:meta": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/posts/8235/meta"
        }
      ]
    },
    "_embedded": {
      "author": [
        {
          "avatar_urls": {
            "24": "https://secure.gravatar.com/avatar/439695298a1ebdddaa9f7d9513a48dd1?s=24&d=mm&r=g",
            "48": "https://secure.gravatar.com/avatar/439695298a1ebdddaa9f7d9513a48dd1?s=48&d=mm&r=g",
            "96": "https://secure.gravatar.com/avatar/439695298a1ebdddaa9f7d9513a48dd1?s=96&d=mm&r=g"
          },
          "description": "Casey is a curator of marketing, community and events at ustwo™. Hopeless geekette. Extreme baker. World traveler. Follow her on Twitter @caseyhopkins.",
          "first_name": "Casey",
          "id": 9,
          "last_name": "Hopkins",
          "link": "https://backend/blog/author/casey/",
          "name": "Casey Hopkins",
          "url": "",
          "contact_methods": {
            "twitter": "",
            "facebook": ""
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/users/9"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/users"
              }
            ]
          }
        }
      ],
      "wp:attachment": [
        [
          {
            "id": 8632,
            "date": "2015-08-06T16:47:49",
            "slug": "google_cardboard",
            "type": "attachment",
            "link": "https://backend/blog/designing-for-virtual-reality-google-cardboard/google_cardboard/",
            "title": {
              "rendered": "google_cardboard"
            },
            "author": 6,
            "alt_text": "",
            "media_type": "image",
            "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard.jpg",
            "media_details": {
              "width": 1920,
              "height": 1080,
              "file": "2015/05/google_cardboard.jpg",
              "sizes": {
                "thumbnail": {
                  "file": "google_cardboard-300x300.jpg",
                  "width": 300,
                  "height": 300,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard-300x300.jpg"
                },
                "medium": {
                  "file": "google_cardboard-1024x576.jpg",
                  "width": 1024,
                  "height": 576,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard-1024x576.jpg"
                },
                "large": {
                  "file": "google_cardboard-1800x1013.jpg",
                  "width": 1800,
                  "height": 1013,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard-1800x1013.jpg"
                },
                "small": {
                  "file": "google_cardboard-640x360.jpg",
                  "width": 640,
                  "height": 360,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard-640x360.jpg"
                },
                "small_crop": {
                  "file": "google_cardboard-640x480.jpg",
                  "width": 640,
                  "height": 480,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard-640x480.jpg"
                },
                "medium_crop": {
                  "file": "google_cardboard-1024x768.jpg",
                  "width": 1024,
                  "height": 768,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard-1024x768.jpg"
                },
                "large_crop": {
                  "file": "google_cardboard-1800x1080.jpg",
                  "width": 1800,
                  "height": 1080,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard-1800x1080.jpg"
                }
              },
              "image_meta": {
                "aperture": 0,
                "credit": "",
                "camera": "",
                "caption": "",
                "created_timestamp": 0,
                "copyright": "",
                "focal_length": 0,
                "iso": 0,
                "shutter_speed": 0,
                "title": "",
                "orientation": 0
              }
            },
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/media/8632"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/media"
                }
              ],
              "author": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/users/6"
                }
              ],
              "replies": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/comments?post_id=8632"
                }
              ]
            }
          }
        ],
        {
          "id": 8632,
          "date": "2015-08-06T16:47:49",
          "slug": "google_cardboard",
          "type": "attachment",
          "link": "https://backend/blog/designing-for-virtual-reality-google-cardboard/google_cardboard/",
          "title": {
            "rendered": "google_cardboard"
          },
          "author": 6,
          "alt_text": "",
          "media_type": "image",
          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard.jpg",
          "media_details": {
            "width": 1920,
            "height": 1080,
            "file": "2015/05/google_cardboard.jpg",
            "sizes": {
              "thumbnail": {
                "file": "google_cardboard-300x300.jpg",
                "width": 300,
                "height": 300,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard-300x300.jpg"
              },
              "medium": {
                "file": "google_cardboard-1024x576.jpg",
                "width": 1024,
                "height": 576,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard-1024x576.jpg",
                "name": "medium"
              },
              "large": {
                "file": "google_cardboard-1800x1013.jpg",
                "width": 1800,
                "height": 1013,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard-1800x1013.jpg",
                "name": "large"
              },
              "small": {
                "file": "google_cardboard-640x360.jpg",
                "width": 640,
                "height": 360,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard-640x360.jpg",
                "name": "small"
              },
              "small_crop": {
                "file": "google_cardboard-640x480.jpg",
                "width": 640,
                "height": 480,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard-640x480.jpg"
              },
              "medium_crop": {
                "file": "google_cardboard-1024x768.jpg",
                "width": 1024,
                "height": 768,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard-1024x768.jpg"
              },
              "large_crop": {
                "file": "google_cardboard-1800x1080.jpg",
                "width": 1800,
                "height": 1080,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/05/google_cardboard-1800x1080.jpg"
              }
            },
            "image_meta": {
              "aperture": 0,
              "credit": "",
              "camera": "",
              "caption": "",
              "created_timestamp": 0,
              "copyright": "",
              "focal_length": 0,
              "iso": 0,
              "shutter_speed": 0,
              "title": "",
              "orientation": 0
            }
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/media/8632"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/media"
              }
            ],
            "author": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/users/6"
              }
            ],
            "replies": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/comments?post_id=8632"
              }
            ]
          }
        }
      ],
      "wp:term": [
        [
          {
            "id": 489,
            "link": "https://backend/blog/category/innovation/",
            "name": "Innovation",
            "slug": "innovation",
            "taxonomy": "category",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category/489"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category"
                }
              ]
            }
          }
        ],
        [],
        [
          {
            "code": "rest_no_route",
            "message": "No route was found matching the URL and request method",
            "data": {
              "status": 404
            }
          }
        ]
      ]
    }
  },
  {
    "id": 7900,
    "date": "2015-04-02T12:45:33",
    "guid": {
      "rendered": "http://ustwo.com/?post_type=blog&#038;p=7900"
    },
    "modified": "2015-08-12T12:57:48",
    "modified_gmt": "2015-08-12T12:57:48",
    "slug": "you-should-design-your-working-life",
    "type": "post",
    "link": "https://backend/blog/you-should-design-your-working-life/",
    "title": {
      "rendered": "Why YOU – Not Henry Ford – Should Design Your Working Life"
    },
    "excerpt": {
      "rendered": "<p>Giving yourself time and space to design the best working pattern for you.</p>\n"
    },
    "author": 5,
    "featured_image": 7904,
    "comment_status": "open",
    "ping_status": "open",
    "sticky": false,
    "format": "standard",
    "seo": {
      "title": "Designing your working life",
      "desc": "Giving yourself time and space to design the best working pattern for you.",
      "keywords": "worklife, hr, balance, modern life",
      "image": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/04/8575891116_4cbfcfecef_o-e1427978613573-640x480.jpg"
    },
    "page_builder": [
      {
        "name": "text",
        "attr": {
          "heading": {
            "name": "heading",
            "value": "",
            "type": "text"
          },
          "body": {
            "name": "body",
            "value": "<h3>Your life was designed 150 years ago</h3>\n<p>Western middle-class living operates with a working pattern <a href=\"https://en.wikipedia.org/wiki/Eight-hour_day\" target=\"_blank\">invented in the 19th century</a>, grudgingly accepted by progressive capitalists like Henry Ford in the beginning of 20th century and finally written into law early to mid- 20th century in most countries. While certainly a lot of people realise this might not be ideal, just why are we — as a global society — so timid about changing this pattern?</p>\n<h3>First world problems</h3>\n<p>Much of my argument doesn&#8217;t apply if you’re struggling with low pay, shift-based work or live in a developing country, and these offer different problems. But many of you reading this post will be fortunate enough to be getting paid to think about and solve problems in creative ways. Yet we know that our brains are incapable of working at their peak, for hours in a row, whilst our bodies are tied to a desk and our colleagues are buzzing around us.</p>\n<p>Chances are, you also earn more than you <em>really</em> need to, and spend the surplus on stuff you want but don’t need or have the time to enjoy anyway. Some of the nicest things that you actually need, and <a href=\"https://medium.com/@kidbombay/how-to-be-happy-be8b2dc0677\" target=\"_blank\">can really make you happy</a>, don’t cost a lot of money – taking a walk in a natural environment, relaxing with people you like, cooking some fresh food from scratch, finding the time to enjoy a meal together with your family and friends immersed in conversations or keeping a gratitude journal.</p>\n<p>So why do we still choose to join the rush hour congestion every day and, with that, collectively invest in expensive and destructive infrastructure developments just to serve these one-hour time windows? Or, why do we create a binary choice between unemployment and low paid jobs or burning out with no time to rest in sight until we retire, being too old and ill to enjoy it?</p>\n<h3>Is it about co-location then?</h3>\n<p>Yes, being next to teammates and interacting in person is something which can’t (fully, yet) be replaced by telecommunication, but do or should we have meetings all day with the same people?</p>\n<p>Couldn’t we organise our discussions a bit more smartly into clusters — both within a day and a week — and spend the rest of the time away from the hustle of the workspace, with space to think when we need it the most? Wouldn’t we still have enough chance for serendipitous conversation between colleagues from other parts of the company if only we made sure to spend our lunch time and coffee or tea breaks in the communal area rather than in front of our computers?</p>\n<h3>Planet, people and economy</h3>\n<p>What really changed my way of thinking about time is a brilliant and provocative study by the New Economics Foundation, called <a href=\"http://www.neweconomics.org/publications/entry/21-hours\" target=\"_blank\">21 hours</a> (as in work week). In this paper they argue that by shortening our time spent at work we could decrease overconsumption, stress, and traffic congestion while increasing the number of people employed in quality jobs, community and political involvement, and general mental and physical wellbeing.</p>\n<blockquote><p>Once you stop looking at life as a treadmill of 5 long working days and a short weekend — barely enough to gasp for breath —and give yourself permission to explore what else is possible, magic starts to happen in your mind.</p>\n</blockquote>\n<p>If you want a second opinion or to dig deeper, also take a look at the Institute for the Future’s <a href=\"http://www.iftf.org/our-work/people-technology/technology-horizons/the-future-of-work/\" target=\"_blank\">Future of Work study</a>.</p>\n<h3><img class=\"alignnone size-full wp-image-7914\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2010/04/TH-FutureofWork.jpg\" alt=\"Inforgraphic about the future of work\" width=\"3500\" height=\"2053\" /></h3>\n<h3>So what do I do?</h3>\n<p>It’s all very well, I hear you say, but we can’t all just move to France, with their leisurely work hours, can we? Well, as an example there’s a <a href=\"https://www.gov.uk/flexible-working\" target=\"_blank\">law in the UK</a> that allows you to ask for any form of flexible work arrangement and unless your employer has a very good reason why they can’t accommodate your request — which is unlikely for an office job — you should be allowed to have your way.</p>\n<p>So this is exactly what I did, about a year and a half ago, just after my son was born.</p>\n<blockquote><p>My pattern is every Wednesday off with and an extra hour worked each day for the rest of the week. While first I thought about getting a long weekend, slicing the week into half and not having to work more than two days in a row — ever! — works incredibly well.</p>\n</blockquote>\n<p>To make this happen I had to sacrifice 10% of my salary, which might sound a bit off-putting at first, but if you think of it this way – you’re giving up the highest taxed bit first, or you could also just decrease hours with the same percentage instead of a pay rise next time, suddenly it hurts much less.</p>\n<h3>Power to the parents</h3>\n<p>Apart from the decreased normal working pattern, I’m lucky enough to work for ustwo, where we have a progressive paternity policy, enabling fathers to take over maternity time from mother and topping up the statutory pay to full salary.</p>\n<p>I can’t even begin to describe how wonderful it was for me to be able to spend two months during last summer with my little boy, but having some discussions with a few colleagues I realised that this paternal time off has profound implications beyond a healthier, more balanced child and less stressed young mother — if these weren’t enough already!</p>\n<blockquote><p>If men also take months off after a child has been born — and in general share looking after the little ones — the ridiculous and often subconscious stigma of mothers as “less dedicated” workers will all but disappear.</p>\n</blockquote>\n<p>Needless to say I was more than happy to bask in the glory of a gender equality champion after this realisation, but this is just a small step to close the gap for a more inclusive workplace. For me personally that is, I can’t feel grateful enough for this forward looking and generous policy!</p>\n<h3>Time to design your life</h3>\n<p>There’s no ultimate recommendation, as everyone&#8217;s different, but you should give yourself time and space to think about what would be the best working pattern for you and what matters the most to you in life by filling in <a href=\"http://iwtmad.files.wordpress.com/2012/12/the-living-legacy-workbook6.pdf\" target=\"_blank\">The Living Legacy workbook (PDF)</a>. As part of this you should realise that it’s not a lack of dedication to your career at all to find a sustainable way to give your best, instead of burning yourself out!</p>\n",
            "type": "wysiwyg"
          }
        }
      }
    ],
    "display_title": "",
    "colors": {
      "bg": "",
      "primary": "",
      "secondary": ""
    },
    "terms": {
      "category": [
        306
      ],
      "post_tag": [
        307,
        453,
        480
      ]
    },
    "_links": {
      "self": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/7900"
        }
      ],
      "collection": [
        {
          "href": "https://backend/wp-json/wp/v2/posts"
        }
      ],
      "author": [
        {
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/users/5"
        }
      ],
      "replies": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/comments?post_id=7900"
        }
      ],
      "version-history": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/7900/revisions"
        }
      ],
      "wp:attachment": [
        {
          "embeddable": true,
          "role": "legacy_featured",
          "href": "https://backend/wp-json/wp/v2/media/7904"
        },
        {
          "embeddable": true,
          "role": "featured",
          "href": "https://backend/wp-json/wp/v2/media/7904"
        }
      ],
      "wp:term": [
        {
          "taxonomy": "category",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/7900/terms/category"
        },
        {
          "taxonomy": "post_tag",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/7900/terms/tag"
        },
        {
          "taxonomy": "post_format",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/7900/terms/post_format"
        }
      ],
      "wp:meta": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/posts/7900/meta"
        }
      ]
    },
    "_embedded": {
      "author": [
        {
          "avatar_urls": {
            "24": "https://secure.gravatar.com/avatar/8b57459a43ccdb3319e50990eba72d44?s=24&d=mm&r=g",
            "48": "https://secure.gravatar.com/avatar/8b57459a43ccdb3319e50990eba72d44?s=48&d=mm&r=g",
            "96": "https://secure.gravatar.com/avatar/8b57459a43ccdb3319e50990eba72d44?s=96&d=mm&r=g"
          },
          "description": "",
          "first_name": "",
          "id": 5,
          "last_name": "",
          "link": "https://backend/blog/author/dain/",
          "name": "dain",
          "url": "",
          "contact_methods": {
            "twitter": "",
            "facebook": ""
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/users/5"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/users"
              }
            ]
          }
        }
      ],
      "wp:attachment": [
        [
          {
            "id": 7904,
            "date": "2015-04-02T13:40:10",
            "slug": "sneak-peek-at-the-new-office",
            "type": "attachment",
            "link": "https://backend/?attachment_id=7904",
            "title": {
              "rendered": "Sneak-peek at the new office"
            },
            "author": 4,
            "alt_text": "Empty office space",
            "media_type": "image",
            "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/04/8575891116_4cbfcfecef_o-e1427978613573.jpg",
            "media_details": {
              "width": 999,
              "height": 749,
              "file": "2015/04/8575891116_4cbfcfecef_o-e1427978613573.jpg",
              "sizes": {
                "thumbnail": {
                  "file": "8575891116_4cbfcfecef_o-e1427978613573-300x300.jpg",
                  "width": 300,
                  "height": 300,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/04/8575891116_4cbfcfecef_o-e1427978613573-300x300.jpg"
                },
                "small": {
                  "file": "8575891116_4cbfcfecef_o-e1427978613573-640x480.jpg",
                  "width": 640,
                  "height": 480,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/04/8575891116_4cbfcfecef_o-e1427978613573-640x480.jpg"
                },
                "small_crop": {
                  "file": "8575891116_4cbfcfecef_o-e1427978613573-640x480.jpg",
                  "width": 640,
                  "height": 480,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/04/8575891116_4cbfcfecef_o-e1427978613573-640x480.jpg"
                }
              },
              "image_meta": {
                "aperture": 0,
                "credit": "",
                "camera": "",
                "caption": "",
                "created_timestamp": 0,
                "copyright": "",
                "focal_length": 0,
                "iso": 0,
                "shutter_speed": 0,
                "title": "",
                "orientation": 0
              }
            },
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/media/7904"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/media"
                }
              ],
              "author": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/users/4"
                }
              ],
              "replies": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/comments?post_id=7904"
                }
              ]
            }
          }
        ],
        {
          "id": 7904,
          "date": "2015-04-02T13:40:10",
          "slug": "sneak-peek-at-the-new-office",
          "type": "attachment",
          "link": "https://backend/?attachment_id=7904",
          "title": {
            "rendered": "Sneak-peek at the new office"
          },
          "author": 4,
          "alt_text": "Empty office space",
          "media_type": "image",
          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/04/8575891116_4cbfcfecef_o-e1427978613573.jpg",
          "media_details": {
            "width": 999,
            "height": 749,
            "file": "2015/04/8575891116_4cbfcfecef_o-e1427978613573.jpg",
            "sizes": {
              "thumbnail": {
                "file": "8575891116_4cbfcfecef_o-e1427978613573-300x300.jpg",
                "width": 300,
                "height": 300,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/04/8575891116_4cbfcfecef_o-e1427978613573-300x300.jpg"
              },
              "small": {
                "file": "8575891116_4cbfcfecef_o-e1427978613573-640x480.jpg",
                "width": 640,
                "height": 480,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/04/8575891116_4cbfcfecef_o-e1427978613573-640x480.jpg",
                "name": "small"
              },
              "small_crop": {
                "file": "8575891116_4cbfcfecef_o-e1427978613573-640x480.jpg",
                "width": 640,
                "height": 480,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/04/8575891116_4cbfcfecef_o-e1427978613573-640x480.jpg"
              }
            },
            "image_meta": {
              "aperture": 0,
              "credit": "",
              "camera": "",
              "caption": "",
              "created_timestamp": 0,
              "copyright": "",
              "focal_length": 0,
              "iso": 0,
              "shutter_speed": 0,
              "title": "",
              "orientation": 0
            }
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/media/7904"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/media"
              }
            ],
            "author": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/users/4"
              }
            ],
            "replies": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/comments?post_id=7904"
              }
            ]
          }
        }
      ],
      "wp:term": [
        [
          {
            "id": 306,
            "link": "https://backend/blog/category/culture/",
            "name": "Culture",
            "slug": "culture",
            "taxonomy": "category",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category/306"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category"
                }
              ]
            }
          }
        ],
        [
          {
            "id": 307,
            "link": "https://backend/blog/tag/culture-2/",
            "name": "culture",
            "slug": "culture-2",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/307"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 453,
            "link": "https://backend/blog/tag/ustwo/",
            "name": "ustwo",
            "slug": "ustwo",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/453"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 480,
            "link": "https://backend/blog/tag/worklife-balance/",
            "name": "worklife balance",
            "slug": "worklife-balance",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/480"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          }
        ],
        [
          {
            "code": "rest_no_route",
            "message": "No route was found matching the URL and request method",
            "data": {
              "status": 404
            }
          }
        ]
      ]
    }
  },
  {
    "id": 7842,
    "date": "2015-03-26T16:09:56",
    "guid": {
      "rendered": "http://ustwo.com/?post_type=blog&#038;p=7842"
    },
    "modified": "2015-08-05T13:27:00",
    "modified_gmt": "2015-08-05T13:27:00",
    "slug": "5g-future-design",
    "type": "post",
    "link": "https://backend/blog/5g-future-design/",
    "title": {
      "rendered": "5G and the Future of Design"
    },
    "excerpt": {
      "rendered": "<p>How might the coming increase in processing power and connectivity affect digital design?</p>\n"
    },
    "author": 77,
    "featured_image": 7855,
    "comment_status": "open",
    "ping_status": "closed",
    "sticky": false,
    "format": "standard",
    "seo": {
      "title": "5G: Creativity Without Constraint Or A One-Size-Fits-All Future?",
      "desc": "How might the coming increase in processing power and connectivity affect digital design?",
      "keywords": "5G, connectivity, remote processing, design, trends",
      "image": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/03/Tesla_Broadcast_Tower_19042-469x480.jpeg"
    },
    "page_builder": [
      {
        "name": "text",
        "attr": {
          "body": {
            "name": "body",
            "value": "<p class=\"p1\"><em>This article <a href=\"http://techcrunch.com/2015/02/14/5g-creativity-without-constraint-or-a-one-size-fits-all-future/\">originally appeared</a> in TechCrunch on 14 February 2015.</em></p>\n<p>The U.K. took a significant step toward 5G mobile rollout in January when <a href=\"http://www.ofcom.org.uk/\" target=\"_blank\">Ofcom</a>, the telecoms regulator, <a href=\"http://stakeholders.ofcom.org.uk/consultations/above-6ghz/\" target=\"_blank\">started considering</a> where it should fit on the airwaves. We will all notice the difference in 2020, when 5G is due to go live, because its goal is to give the impression of “infinite capacity” according to the <a href=\"http://www.surrey.ac.uk/5gic\" target=\"_blank\">University of Surrey’s 5G innovation centre</a>. Its speed, at 3,000 times faster than 4G, will mean having mind-bending things like holographic projections…wherever we have reception.</p>\n<p>Beyond the appetising hype that sees us getting closer to the world portrayed in our favourite sci-fi films, 5G heralds a fundamental shift for designers of our digital experiences, and by extension what we experience as users. That is because 5G, alongside parallel developments that will supercharge wired capacity, will transform the devices we increasingly rely on into portals of theoretically unlimited and instantly accessible remote processing power.</p>\n<p><img class=\"alignnone size-full wp-image-7848\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/03/brick.jpg\" alt=\"man with motorola \" width=\"400\" height=\"332\" /></p>\n<p>Amazon is already showing the way with its Silk browser, bringing us closer to an ‘<a href=\"http://www.technologyreview.com/view/512931/amazons-remote-processing-vision/\" target=\"_blank\">Amazonian future of many screens and few processors</a>’. The web browser decides which web pages to render locally and which to run remotely on Amazon’s EC2 servers for optimal performance and ultimately the most fluid user experience. Google is also looking at making the <a href=\"http://www.androidpolice.com/2014/11/20/chromes-upcoming-navigation-transitions-api-will-make-the-web-animate-and-flow-like-material-design-in-android/\" target=\"_blank\">mobile web feel native</a>.</p>\n<p>These early examples aside of the way things are going, the advent of 5G means digital design could head in one of two opposing directions. With less need to make technical limits dictate the pace of change it could be as open to influence and generate trends as fast as the fashion industry.</p>\n<p>Alternatively, 5G has the potential to bring our experiences across devices into line, capturing our attention within one seamless human machine interface. This could lead to a more slowly evolving future for digital design.</p>\n<h3>Creativity without Constraint</h3>\n<p>Digital designers and developers have long worked within the parameters set by device processing power. Having limits can be productive, and until now, those pushing the limits as far as they can go to achieve novel results in graphical and interface design have been the ones to spark trends in that design. This process of striving to create tech-driven rarity, and with it desirability, has been called “<a href=\"http://blogs.atlassian.com/2014/06/yosemite-thoughts-blurriness-design-ecosystems/\" target=\"_blank\">expensive design</a>.”</p>\n<p>By and large, the process is inward-looking and not so concerned with taking inspiration from trends in the wider world, because of the focus on maximising what technology can do. Lacking a significant dialogue with the world outside digital design, its effect offline is correspondingly more limited.</p>\n<p>Microsoft arguably failed at expensive design with the over-ambitious introduction of transparent elements in 2006’s Vista that were so demanding on system resources that they caused usability issues. The relentless march of Moore’s Law meant that transparency soon became technically easier to “afford” and a more widespread trend was born.</p>\n<p>Apple, meanwhile, is the master at expensive design to a large extent because it has perfected the art of making software tailored for a controlled set of hardware and vice versa. In the mobile space, for example, it walks the line between system resources and design inspiration more adeptly than Google.</p>\n<p>Being open to all, Google’s Android operating system means its designers can never be quite sure of the specifications it’s designing for. More frequent updates imply that devices will age more quickly.</p>\n<p>With 5G and the access that it will provide to massive remote computational power on top of the more predictable (yet still stellar) trajectory envisaged by Moore’s Law, imaginations will become unfettered from technical constraints.</p>\n<p>We could expect to see an explosion of creativity and a broader field of prospective trend setters, more free to draw inspiration faster from wider social and aesthetic trends and designs. This will make life unsettling for incumbents who are defined by their mastery of expensive design.</p>\n<p>Greater off- and online interplay will also provide an opportunity for the most influential digital-experience designers to reflect their ideas back into offline environments. Already different sectors are trying to accommodate expectations that people have developed through the design of digital experiences, e.g. in offline <a href=\"http://www.theretailbulletin.com/news/rockar_hyundai_drives_into_bluewater_with_new_digital_store_03-10-14/\" target=\"_blank\">automotive retail</a>.</p>\n<p>Finally, a note to recognise that the rollout of 5G will by no means be uniform across the globe and that Moore’s Law does not impact everyone in the same way at the same time because of telecoms infrastructure and affordable hardware reasons. For those designers and developers who do get inspired by technical constraints, there will therefore be no shortage of opportunities to design solutions that push device boundaries for the foreseeable future. For the rest, unconstrained creativity beckons.</p>\n<h3>Or a One-Size-Fits-All Future?</h3>\n<p>We already have device convergence, whereby a mobile phone now does what you once needed a separate video recorder, camera, telephone, GPS device, pedometer, etc. to do. But there are still gulfs between the processing power of a tablet and a smartwatch, or for that matter car or TV, that create inconsistencies between how you experience products or services from the same provider on different devices.</p>\n<p>Tech companies are already anticipating a future where outsourcing processing power creates opportunities for the convergence of experiences. Google’s vision for Android as a unified platform across a broad range of products rather than as a phone OS, for example, creates a common backbone for what will become inherently more interoperable devices sharing the same degree of processing power. As a consumer, you will be able to apply the same intuitions to your driving as mobile device experiences. The logical conclusion is the creation of the first seamless human machine interface across all your interactions.</p>\n<p>On the flip side, this world, perhaps, creates a small number of all-encompassing walled experiential gardens with captive audiences, which only need to evolve at their own pace.</p>\n<p>In either future, device capabilities, <em>per se</em>, aren’t the priority, and the onus can and should shift to meeting user needs. The big question is whether we want novelty or seamlessly intuitive experiences. I think we want both, and in a world of infinite capacity the tech companies that can design both intuitive and culturally resonant experiences will be rewarded. And those that can design holographic projections of course. I really want to see that.</p>\n<p><em>This article <a href=\"http://techcrunch.com/2015/02/14/5g-creativity-without-constraint-or-a-one-size-fits-all-future/\">originally appeared</a> in TechCrunch on 14 February 2015.</em></p>\n",
            "type": "wysiwyg"
          }
        }
      }
    ],
    "display_title": "",
    "colors": {
      "bg": "",
      "primary": "",
      "secondary": ""
    },
    "terms": {
      "post_tag": [
        266,
        311,
        317,
        445,
        465
      ],
      "category": [
        486
      ]
    },
    "_links": {
      "self": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/7842"
        }
      ],
      "collection": [
        {
          "href": "https://backend/wp-json/wp/v2/posts"
        }
      ],
      "author": [
        {
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/users/77"
        }
      ],
      "replies": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/comments?post_id=7842"
        }
      ],
      "version-history": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/7842/revisions"
        }
      ],
      "wp:attachment": [
        {
          "embeddable": true,
          "role": "legacy_featured",
          "href": "https://backend/wp-json/wp/v2/media/7855"
        },
        {
          "embeddable": true,
          "role": "featured",
          "href": "https://backend/wp-json/wp/v2/media/7855"
        }
      ],
      "wp:term": [
        {
          "taxonomy": "category",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/7842/terms/category"
        },
        {
          "taxonomy": "post_tag",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/7842/terms/tag"
        },
        {
          "taxonomy": "post_format",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/7842/terms/post_format"
        }
      ],
      "wp:meta": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/posts/7842/meta"
        }
      ]
    },
    "_embedded": {
      "author": [
        {
          "avatar_urls": {
            "24": "https://secure.gravatar.com/avatar/bb1be5c6970d8d65e692d9b2c8ac586d?s=24&d=mm&r=g",
            "48": "https://secure.gravatar.com/avatar/bb1be5c6970d8d65e692d9b2c8ac586d?s=48&d=mm&r=g",
            "96": "https://secure.gravatar.com/avatar/bb1be5c6970d8d65e692d9b2c8ac586d?s=96&d=mm&r=g"
          },
          "description": "",
          "first_name": "Dem",
          "id": 77,
          "last_name": "Gerolemou",
          "link": "https://backend/blog/author/dem/",
          "name": "Dem Gerolemou",
          "url": "",
          "contact_methods": {
            "twitter": "",
            "facebook": ""
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/users/77"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/users"
              }
            ]
          }
        }
      ],
      "wp:attachment": [
        [
          {
            "id": 7855,
            "date": "2015-03-26T16:18:47",
            "slug": "tesla_broadcast_tower_1904-3",
            "type": "attachment",
            "link": "https://backend/?attachment_id=7855",
            "title": {
              "rendered": "Tesla_Broadcast_Tower_1904"
            },
            "author": 4,
            "alt_text": "Tesla Broadcast Tower",
            "media_type": "image",
            "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/03/Tesla_Broadcast_Tower_19042.jpeg",
            "media_details": {
              "width": 469,
              "height": 784,
              "file": "2015/03/Tesla_Broadcast_Tower_19042.jpeg",
              "sizes": {
                "thumbnail": {
                  "file": "Tesla_Broadcast_Tower_19042-300x300.jpeg",
                  "width": 300,
                  "height": 300,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/03/Tesla_Broadcast_Tower_19042-300x300.jpeg"
                },
                "medium": {
                  "file": "Tesla_Broadcast_Tower_19042-459x768.jpeg",
                  "width": 459,
                  "height": 768,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/03/Tesla_Broadcast_Tower_19042-459x768.jpeg"
                },
                "small": {
                  "file": "Tesla_Broadcast_Tower_19042-287x480.jpeg",
                  "width": 287,
                  "height": 480,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/03/Tesla_Broadcast_Tower_19042-287x480.jpeg"
                },
                "small_crop": {
                  "file": "Tesla_Broadcast_Tower_19042-469x480.jpeg",
                  "width": 469,
                  "height": 480,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/03/Tesla_Broadcast_Tower_19042-469x480.jpeg"
                },
                "medium_crop": {
                  "file": "Tesla_Broadcast_Tower_19042-469x768.jpeg",
                  "width": 469,
                  "height": 768,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/03/Tesla_Broadcast_Tower_19042-469x768.jpeg"
                }
              },
              "image_meta": {
                "aperture": 0,
                "credit": "",
                "camera": "",
                "caption": "",
                "created_timestamp": 0,
                "copyright": "",
                "focal_length": 0,
                "iso": 0,
                "shutter_speed": 0,
                "title": "",
                "orientation": 0
              }
            },
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/media/7855"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/media"
                }
              ],
              "author": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/users/4"
                }
              ],
              "replies": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/comments?post_id=7855"
                }
              ]
            }
          }
        ],
        {
          "id": 7855,
          "date": "2015-03-26T16:18:47",
          "slug": "tesla_broadcast_tower_1904-3",
          "type": "attachment",
          "link": "https://backend/?attachment_id=7855",
          "title": {
            "rendered": "Tesla_Broadcast_Tower_1904"
          },
          "author": 4,
          "alt_text": "Tesla Broadcast Tower",
          "media_type": "image",
          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/03/Tesla_Broadcast_Tower_19042.jpeg",
          "media_details": {
            "width": 469,
            "height": 784,
            "file": "2015/03/Tesla_Broadcast_Tower_19042.jpeg",
            "sizes": {
              "thumbnail": {
                "file": "Tesla_Broadcast_Tower_19042-300x300.jpeg",
                "width": 300,
                "height": 300,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/03/Tesla_Broadcast_Tower_19042-300x300.jpeg"
              },
              "medium": {
                "file": "Tesla_Broadcast_Tower_19042-459x768.jpeg",
                "width": 459,
                "height": 768,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/03/Tesla_Broadcast_Tower_19042-459x768.jpeg",
                "name": "medium"
              },
              "small": {
                "file": "Tesla_Broadcast_Tower_19042-287x480.jpeg",
                "width": 287,
                "height": 480,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/03/Tesla_Broadcast_Tower_19042-287x480.jpeg",
                "name": "small"
              },
              "small_crop": {
                "file": "Tesla_Broadcast_Tower_19042-469x480.jpeg",
                "width": 469,
                "height": 480,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/03/Tesla_Broadcast_Tower_19042-469x480.jpeg"
              },
              "medium_crop": {
                "file": "Tesla_Broadcast_Tower_19042-469x768.jpeg",
                "width": 469,
                "height": 768,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2015/03/Tesla_Broadcast_Tower_19042-469x768.jpeg"
              }
            },
            "image_meta": {
              "aperture": 0,
              "credit": "",
              "camera": "",
              "caption": "",
              "created_timestamp": 0,
              "copyright": "",
              "focal_length": 0,
              "iso": 0,
              "shutter_speed": 0,
              "title": "",
              "orientation": 0
            }
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/media/7855"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/media"
              }
            ],
            "author": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/users/4"
              }
            ],
            "replies": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/comments?post_id=7855"
              }
            ]
          }
        }
      ],
      "wp:term": [
        [
          {
            "id": 486,
            "link": "https://backend/blog/category/design/",
            "name": "Design",
            "slug": "design",
            "taxonomy": "category",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category/486"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category"
                }
              ]
            }
          }
        ],
        [
          {
            "id": 266,
            "link": "https://backend/blog/tag/5g/",
            "name": "5G",
            "slug": "5g",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/266"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 311,
            "link": "https://backend/blog/tag/design/",
            "name": "Design",
            "slug": "design",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/311"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 317,
            "link": "https://backend/blog/tag/digital-products/",
            "name": "Digital Products",
            "slug": "digital-products",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/317"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 445,
            "link": "https://backend/blog/tag/trends/",
            "name": "trends",
            "slug": "trends",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/445"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 465,
            "link": "https://backend/blog/tag/visual-design/",
            "name": "Visual Design",
            "slug": "visual-design",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/465"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          }
        ],
        [
          {
            "code": "rest_no_route",
            "message": "No route was found matching the URL and request method",
            "data": {
              "status": 404
            }
          }
        ]
      ]
    }
  },
  {
    "id": 7102,
    "date": "2014-12-17T12:26:07",
    "guid": {
      "rendered": "http://ustwo.com/?post_type=blog&#038;p=7102"
    },
    "modified": "2015-08-05T09:41:14",
    "modified_gmt": "2015-08-05T09:41:14",
    "slug": "designing-the-internship-experience",
    "type": "post",
    "link": "https://backend/blog/designing-the-internship-experience/",
    "title": {
      "rendered": "Designing the Internship Experience"
    },
    "excerpt": {
      "rendered": "<p>This spring we began a process of designing a new experience for a team of interns. So what happened?</p>\n"
    },
    "author": 71,
    "featured_image": 7121,
    "comment_status": "open",
    "ping_status": "closed",
    "sticky": false,
    "format": "standard",
    "seo": {
      "title": "Designing the Internship Experience",
      "desc": "We designed a new process for our internship team in Malmö. These are the thoughts around the process, experience and the outcome.",
      "keywords": "",
      "image": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize-640x480.jpg"
    },
    "page_builder": [
      {
        "name": "text",
        "attr": {
          "body": {
            "name": "body",
            "value": "<p>In early spring, we initiated a task team to create and design a new internship program. I’d recently finished my six-month internship, and had been reflecting with others on our experience with past internships – what was good about them, what wasn&#8217;t so good and how could they be improved. </p>\n<p>Last Friday saw the conclusion of what those initial thoughts sparked, as the first cycle of our new 12-week Internship Program in Malmö came to an end. Thinking carefully about how we design this experience has been incredibly insightful, both in terms of learning how teams collaborate and how we think about our own skills when we’re trying to pass them on.</p>\n<p><img src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/retro.jpg\" alt=\"retro\" width=\"3264\" height=\"1611\" class=\"alignnone size-full wp-image-7113\" /></p>\n<h3>PROCESS</h3>\n<p>To begin with we tried to identify our intern’s needs, and to map out our own involvement – we realised that our internship offer wasn’t as solid as we wanted it to be. Using what I’d learned through my own internship, I felt I had some fresh ideas on what could be done differently. We needed to clarify our plan of recruitment, for example, and to improve the process and learning curve for both the interns and ourselves.</p>\n<p>At ustwo we work extensively with team set-ups and dynamics. Having different backgrounds and approaches working on the same problem helps brings value to all our projects. Up to this point we had only had individual internships… As an intern it can be hard to feel confident around professionals in your discipline, and it’s comforting to have people around you who are in the same situation. We also felt that, though an individual intern will get a feeling for working in a team, it would be more valuable if they were actually given the possibility of taking ownership of the whole team process.</p>\n<p>With this in mind we decided to use the team model, and by May we had a pilot for the intern team program and the wheels were set in motion. We made a call for dreamers and doers, from all different disciplines, to join us. Responses came in from all over the world and we ultimately decided on five people who would join us in September: an interaction designer, a visual designer, two developers and a strategist.</p>\n<p><img src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/camilla.jpg\" alt=\"concept work\" width=\"3264\" height=\"1886\" class=\"alignnone size-full wp-image-7110\" /></p>\n<h3>EXPERIENCE</h3>\n<p>The team were given an open brief, and the freedom to create their own boundaries. During the three months of the internship they would create their vision and learning goals, experiment, prototype and validate their ideas. They would have to iterate their ideas (“fail fast – learn faster”) and start implementing their final concept.</p>\n<p>Each one of the interns was paired with a mentor in their respective field. This would be their go-to person during the internship and would overlook their skill development. Their mentor supported them during the whole process with recurring discussions, check-ins, feedback sessions and tutorials.</p>\n<p>We didn’t want them to miss out on our project work, so an important part of the mentorship were “the shadowing weeks”. During these weeks the interns had the opportunity to follow their mentors in their specific projects. This gave them better understanding on how projects run in the studio and how their specific roles interact in a team. It also gave them a break from their own project, which in itself can be a source of inspiration. We hoped that we’d get some cross-fertilization of ideas, and we did.</p>\n<p>One of the biggest challenges during this process was – as expected – the team dynamic. They were trying to figure how to collaborate in a team and how they would contribute individually. One of our coaches helped them through it by opening up team discussions and giving them tools showing them how to work during the 12 weeks. This meant workshops for team building, both to strengthen the team spirit and processes as well as their own personal development. They also held retrospectives regularly and were assisted in Agile methods and creating task boards and backlogs.</p>\n<p>The team continuously challenged themselves to find the perfect idea. They wanted to be passionate about the problem they were solving and believe in what they were about to produce. This kept them moving around in the conceptual phase for a while. Around the seventh week they went from “thinking to doing” and started implementing the final product, ‘Aurora’ – a digital solution for swapping second-hand clothes.</p>\n<p><img src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Aurora-kollage.png\" alt=\"Aurora kollage\" width=\"1330\" height=\"841\" class=\"alignnone size-full wp-image-7108\" /></p>\n<h3>WHAT WE LEARNED</h3>\n<p>Interns are an energy boost. They are eager to take a leap, their optimism is infectious and they bring new perspectives and skills. Since they don’t know how things are usually done, they might question why we take specific decisions, or how you did things. Making us explain can give fresh perspective on skills or processes we might have begun to take for granted.</p>\n<p>The team setup gives the interns better preparation – not only do they get to grow on their own but also understand how to use their skills in a team. I believe that learning how to collaborate is one of the best experiences that anyone can get early in their careers.</p>\n<p>It was truly inspiring being part of this experience and to see how collaboration can lead to great things. In just 12 weeks, five complete strangers, new in their roles, ended up on the first step of implementing a digital product, while overcoming several challenges and having fun on the way.</p>\n<p>If you want to know more about Aurora, and get our interns&#8217; thoughts, go to <a href=\"http://learn.ustwo.com/stories\" title=\"learn.ustwo.com\" target=\"_blank\">learn.ustwo.com</a></p>\n",
            "type": "wysiwyg"
          }
        }
      }
    ],
    "display_title": "",
    "colors": {
      "bg": "",
      "primary": "",
      "secondary": ""
    },
    "terms": {
      "post_tag": [
        300,
        357,
        358,
        399,
        453
      ],
      "category": [
        487
      ]
    },
    "_links": {
      "self": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/7102"
        }
      ],
      "collection": [
        {
          "href": "https://backend/wp-json/wp/v2/posts"
        }
      ],
      "author": [
        {
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/users/71"
        }
      ],
      "replies": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/comments?post_id=7102"
        }
      ],
      "version-history": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/7102/revisions"
        }
      ],
      "wp:attachment": [
        {
          "embeddable": true,
          "role": "legacy_featured",
          "href": "https://backend/wp-json/wp/v2/media/7121"
        },
        {
          "embeddable": true,
          "role": "featured",
          "href": "https://backend/wp-json/wp/v2/media/7121"
        }
      ],
      "wp:term": [
        {
          "taxonomy": "category",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/7102/terms/category"
        },
        {
          "taxonomy": "post_tag",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/7102/terms/tag"
        },
        {
          "taxonomy": "post_format",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/7102/terms/post_format"
        }
      ],
      "wp:meta": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/posts/7102/meta"
        }
      ]
    },
    "_embedded": {
      "author": [
        {
          "avatar_urls": {
            "24": "https://secure.gravatar.com/avatar/7e706bf8a099b45c24128bfeda2fdaec?s=24&d=mm&r=g",
            "48": "https://secure.gravatar.com/avatar/7e706bf8a099b45c24128bfeda2fdaec?s=48&d=mm&r=g",
            "96": "https://secure.gravatar.com/avatar/7e706bf8a099b45c24128bfeda2fdaec?s=96&d=mm&r=g"
          },
          "description": "",
          "first_name": "Juliana",
          "id": 71,
          "last_name": "Muñoz Uribe",
          "link": "https://backend/blog/author/juliana-ustwo/",
          "name": "Juliana Muñoz Uribe",
          "url": "",
          "contact_methods": {
            "twitter": "",
            "facebook": ""
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/users/71"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/users"
              }
            ]
          }
        }
      ],
      "wp:attachment": [
        [
          {
            "id": 7121,
            "date": "2014-12-17T12:30:54",
            "slug": "interns-group-photo-resize",
            "type": "attachment",
            "link": "https://backend/?attachment_id=7121",
            "title": {
              "rendered": "Interns group photo"
            },
            "author": 10,
            "alt_text": "Interns group photo",
            "media_type": "image",
            "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize.jpg",
            "media_details": {
              "width": 5366,
              "height": 3355,
              "file": "2014/12/Interns-group-photo-resize.jpg",
              "sizes": {
                "thumbnail": {
                  "file": "Interns-group-photo-resize-300x300.jpg",
                  "width": 300,
                  "height": 300,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize-300x300.jpg"
                },
                "medium": {
                  "file": "Interns-group-photo-resize-1024x640.jpg",
                  "width": 1024,
                  "height": 640,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize-1024x640.jpg"
                },
                "large": {
                  "file": "Interns-group-photo-resize-1800x1125.jpg",
                  "width": 1800,
                  "height": 1125,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize-1800x1125.jpg"
                },
                "small": {
                  "file": "Interns-group-photo-resize-640x400.jpg",
                  "width": 640,
                  "height": 400,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize-640x400.jpg"
                },
                "small_crop": {
                  "file": "Interns-group-photo-resize-640x480.jpg",
                  "width": 640,
                  "height": 480,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize-640x480.jpg"
                },
                "medium_crop": {
                  "file": "Interns-group-photo-resize-1024x768.jpg",
                  "width": 1024,
                  "height": 768,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize-1024x768.jpg"
                },
                "large_crop": {
                  "file": "Interns-group-photo-resize-1800x1200.jpg",
                  "width": 1800,
                  "height": 1200,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize-1800x1200.jpg"
                }
              },
              "image_meta": {
                "aperture": 0,
                "credit": "",
                "camera": "",
                "caption": "",
                "created_timestamp": 0,
                "copyright": "Copyright: Christian Wiedel",
                "focal_length": 0,
                "iso": 0,
                "shutter_speed": 0,
                "title": "",
                "orientation": 0
              }
            },
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/media/7121"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/media"
                }
              ],
              "author": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/users/10"
                }
              ],
              "replies": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/comments?post_id=7121"
                }
              ]
            }
          }
        ],
        {
          "id": 7121,
          "date": "2014-12-17T12:30:54",
          "slug": "interns-group-photo-resize",
          "type": "attachment",
          "link": "https://backend/?attachment_id=7121",
          "title": {
            "rendered": "Interns group photo"
          },
          "author": 10,
          "alt_text": "Interns group photo",
          "media_type": "image",
          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize.jpg",
          "media_details": {
            "width": 5366,
            "height": 3355,
            "file": "2014/12/Interns-group-photo-resize.jpg",
            "sizes": {
              "thumbnail": {
                "file": "Interns-group-photo-resize-300x300.jpg",
                "width": 300,
                "height": 300,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize-300x300.jpg"
              },
              "medium": {
                "file": "Interns-group-photo-resize-1024x640.jpg",
                "width": 1024,
                "height": 640,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize-1024x640.jpg",
                "name": "medium"
              },
              "large": {
                "file": "Interns-group-photo-resize-1800x1125.jpg",
                "width": 1800,
                "height": 1125,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize-1800x1125.jpg",
                "name": "large"
              },
              "small": {
                "file": "Interns-group-photo-resize-640x400.jpg",
                "width": 640,
                "height": 400,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize-640x400.jpg",
                "name": "small"
              },
              "small_crop": {
                "file": "Interns-group-photo-resize-640x480.jpg",
                "width": 640,
                "height": 480,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize-640x480.jpg"
              },
              "medium_crop": {
                "file": "Interns-group-photo-resize-1024x768.jpg",
                "width": 1024,
                "height": 768,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize-1024x768.jpg"
              },
              "large_crop": {
                "file": "Interns-group-photo-resize-1800x1200.jpg",
                "width": 1800,
                "height": 1200,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/12/Interns-group-photo-resize-1800x1200.jpg"
              }
            },
            "image_meta": {
              "aperture": 0,
              "credit": "",
              "camera": "",
              "caption": "",
              "created_timestamp": 0,
              "copyright": "Copyright: Christian Wiedel",
              "focal_length": 0,
              "iso": 0,
              "shutter_speed": 0,
              "title": "",
              "orientation": 0
            }
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/media/7121"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/media"
              }
            ],
            "author": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/users/10"
              }
            ],
            "replies": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/comments?post_id=7121"
              }
            ]
          }
        }
      ],
      "wp:term": [
        [
          {
            "id": 487,
            "link": "https://backend/blog/category/process/",
            "name": "Process",
            "slug": "process",
            "taxonomy": "category",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category/487"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category"
                }
              ]
            }
          }
        ],
        [
          {
            "id": 300,
            "link": "https://backend/blog/tag/collaboration/",
            "name": "collaboration",
            "slug": "collaboration",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/300"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 357,
            "link": "https://backend/blog/tag/intern/",
            "name": "intern",
            "slug": "intern",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/357"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 358,
            "link": "https://backend/blog/tag/internship/",
            "name": "internship",
            "slug": "internship",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/358"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 399,
            "link": "https://backend/blog/tag/process/",
            "name": "Process",
            "slug": "process",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/399"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 453,
            "link": "https://backend/blog/tag/ustwo/",
            "name": "ustwo",
            "slug": "ustwo",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/453"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          }
        ],
        [
          {
            "code": "rest_no_route",
            "message": "No route was found matching the URL and request method",
            "data": {
              "status": 404
            }
          }
        ]
      ]
    }
  },
  {
    "id": 6779,
    "date": "2014-08-26T15:36:47",
    "guid": {
      "rendered": "http://ustwo.com/?post_type=blog&#038;p=6779"
    },
    "modified": "2015-08-05T09:41:15",
    "modified_gmt": "2015-08-05T09:41:15",
    "slug": "ui-design-hack",
    "type": "post",
    "link": "https://backend/blog/ui-design-hack/",
    "title": {
      "rendered": "UI Design Hack"
    },
    "excerpt": {
      "rendered": "<p>ustwo Malmö organise a hack event, bringing designers and developers together to create a magical UI element.</p>\n"
    },
    "author": 10,
    "featured_image": 6786,
    "comment_status": "closed",
    "ping_status": "closed",
    "sticky": false,
    "format": "standard",
    "seo": {
      "title": "Malmö UI hack event",
      "desc": "ustwo Malmö organised a hack event to create a magical UI element",
      "keywords": "",
      "image": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small-640x480.jpg"
    },
    "page_builder": [
      {
        "name": "text",
        "attr": {
          "body": {
            "name": "body",
            "value": "<p>Millions of people interact every day with design elements produced by Malmö studios such as ustwo, TAT, Color Monkey and Topp for companies like Google, Sony and Samsung. With this in mind, we decided to host an after hours &#8216;design hack&#8217; in our studio as a part of <a href=\"http://theconference.se/\">The Conference</a>. For two hours, designers and developers joined forces to make a simple UI element using the motto &#8216;create something magical&#8217;. We were super excited to see what the outcome would be, and to share the result with the world – open source.</p>\n<p><img src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/lineup.jpg\" alt=\"Malmo Hack Event lineup\" width=\"5184\" height=\"3456\" class=\"alignnone size-full wp-image-6787\" /></p>\n<p>Our Design and Tech Directors – Toke Barter and Måns Adler – kicked off the design hack with a short presentation about ustwo, outlining how we work and the purpose of the event. The key question was: &#8216;What is a magical moment and how might it look in digital form&#8217;? We focused the scope of the hack on creating a small UI element – for example a button, a scroll indicator or a loading bar. We then divided the participants into small groups and left them with just 4 simple rules: Have fun, don&#8217;t take yourselves too seriously, make mistakes and be yourselves. To mix things up we also added an element of disruption halfway through the hack by integrating a few smaller teams into larger ones, compelling them to adjust to new ideas and concepts.</p>\n<p><img src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/working.jpg\" alt=\"Malmo small group work\" width=\"5184\" height=\"3456\" class=\"alignnone size-full wp-image-6788\" /></p>\n<p>With lots of people having never met each other before, coming together and getting creative opened up some very interesting discussions and idea creation. The groups first mapped out and decided on what makes a magical moment, following this by choosing which technology and platform to focus on, and of course defining a problem to solve. All the ideas were presented at the end of the hack and we judged which one was most magical, which most surprising and which had been a &#8216;failure&#8217;. We learned a great deal from all the ideas presented, whether they worked or not, and failure was not necessarily a bad thing.</p>\n<h3>Most magical</h3>\n<p><img src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/watch-small.jpg\" alt=\"clock face unlock screen\" width=\"5184\" height=\"3456\" class=\"alignnone size-full wp-image-6789\" /></p>\n<p><em>Clock face lock-screen</em>. The lock-screen is mostly used for checking the time, so why not use a clock face as the main element? With this innovation, the analogue time face not only tells the time but also lets you set the hands of the clock to act as your passcode.</p>\n<h3>Most surprising</h3>\n<p><em>Random tab plugin</em>. Opening a tab in the browser should be like walking outside your door, not knowing what will happen next. Instead of an empty window or &#8216;most visited&#8217;, this plugin gave you a random site when opening a new tab.</p>\n<h3>Failure</h3>\n<p><em>Eclipse animation</em>. Although this was a nice 2-step loading bar animation, it ended up winning the &#8216;failure category&#8217;. No bad thing – it just didn&#8217;t really turn out the way they wanted, and became a little messy. It might have been better presented on another platform instead of desktop. This was all about learning.</p>\n<p>It was amazing, and truly inspiring, to see what everyone came up with in such a short period of time. Both working prototypes and concepts were introduced to us, ranging from full responsive experience Chrome plugins, to animated chat fields that decay and wither the longer they go unanswered. A full list of the solutions with material will be provided shortly, free to use in your own projects. Keep an eye out!</p>\n",
            "type": "wysiwyg"
          }
        }
      }
    ],
    "display_title": "",
    "colors": {
      "bg": "",
      "primary": "",
      "secondary": ""
    },
    "terms": {
      "post_tag": [
        311,
        316,
        339,
        447,
        453,
        459
      ],
      "category": [
        486
      ]
    },
    "_links": {
      "self": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/6779"
        }
      ],
      "collection": [
        {
          "href": "https://backend/wp-json/wp/v2/posts"
        }
      ],
      "author": [
        {
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/users/10"
        }
      ],
      "replies": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/comments?post_id=6779"
        }
      ],
      "version-history": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/6779/revisions"
        }
      ],
      "wp:attachment": [
        {
          "embeddable": true,
          "role": "legacy_featured",
          "href": "https://backend/wp-json/wp/v2/media/6786"
        },
        {
          "embeddable": true,
          "role": "featured",
          "href": "https://backend/wp-json/wp/v2/media/6786"
        }
      ],
      "wp:term": [
        {
          "taxonomy": "category",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/6779/terms/category"
        },
        {
          "taxonomy": "post_tag",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/6779/terms/tag"
        },
        {
          "taxonomy": "post_format",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/6779/terms/post_format"
        }
      ],
      "wp:meta": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/posts/6779/meta"
        }
      ]
    },
    "_embedded": {
      "author": [
        {
          "avatar_urls": {
            "24": "https://secure.gravatar.com/avatar/140642127ad1f0b2d416d37cc66081d7?s=24&d=mm&r=g",
            "48": "https://secure.gravatar.com/avatar/140642127ad1f0b2d416d37cc66081d7?s=48&d=mm&r=g",
            "96": "https://secure.gravatar.com/avatar/140642127ad1f0b2d416d37cc66081d7?s=96&d=mm&r=g"
          },
          "description": "Communications @ustwo Nordics, words and actions. Big fan of witty solutions and experiences, biking, music, travel.  @fredrikvvallin on Twitter.",
          "first_name": "Fredrik",
          "id": 10,
          "last_name": "Wallin",
          "link": "https://backend/blog/author/fredrik/",
          "name": "Fredrik Wallin",
          "url": "http://uswto.com",
          "contact_methods": {
            "twitter": "fredrikvvallin",
            "facebook": ""
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/users/10"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/users"
              }
            ]
          }
        }
      ],
      "wp:attachment": [
        [
          {
            "id": 6786,
            "date": "2014-08-26T11:40:41",
            "slug": "collage-small",
            "type": "attachment",
            "link": "https://backend/?attachment_id=6786",
            "title": {
              "rendered": "Malmo UI design hack"
            },
            "author": 4,
            "alt_text": "",
            "media_type": "image",
            "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small.jpg",
            "media_details": {
              "width": 7163,
              "height": 3456,
              "file": "2014/08/collage-small.jpg",
              "sizes": {
                "thumbnail": {
                  "file": "collage-small-300x300.jpg",
                  "width": 300,
                  "height": 300,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small-300x300.jpg"
                },
                "medium": {
                  "file": "collage-small-1024x494.jpg",
                  "width": 1024,
                  "height": 494,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small-1024x494.jpg"
                },
                "large": {
                  "file": "collage-small-1800x868.jpg",
                  "width": 1800,
                  "height": 868,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small-1800x868.jpg"
                },
                "small": {
                  "file": "collage-small-640x309.jpg",
                  "width": 640,
                  "height": 309,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small-640x309.jpg"
                },
                "small_crop": {
                  "file": "collage-small-640x480.jpg",
                  "width": 640,
                  "height": 480,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small-640x480.jpg"
                },
                "medium_crop": {
                  "file": "collage-small-1024x768.jpg",
                  "width": 1024,
                  "height": 768,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small-1024x768.jpg"
                },
                "large_crop": {
                  "file": "collage-small-1800x1200.jpg",
                  "width": 1800,
                  "height": 1200,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small-1800x1200.jpg"
                }
              },
              "image_meta": {
                "aperture": 0,
                "credit": "",
                "camera": "",
                "caption": "",
                "created_timestamp": 0,
                "copyright": "",
                "focal_length": 0,
                "iso": 0,
                "shutter_speed": 0,
                "title": "",
                "orientation": 0
              }
            },
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/media/6786"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/media"
                }
              ],
              "author": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/users/4"
                }
              ],
              "replies": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/comments?post_id=6786"
                }
              ]
            }
          }
        ],
        {
          "id": 6786,
          "date": "2014-08-26T11:40:41",
          "slug": "collage-small",
          "type": "attachment",
          "link": "https://backend/?attachment_id=6786",
          "title": {
            "rendered": "Malmo UI design hack"
          },
          "author": 4,
          "alt_text": "",
          "media_type": "image",
          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small.jpg",
          "media_details": {
            "width": 7163,
            "height": 3456,
            "file": "2014/08/collage-small.jpg",
            "sizes": {
              "thumbnail": {
                "file": "collage-small-300x300.jpg",
                "width": 300,
                "height": 300,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small-300x300.jpg"
              },
              "medium": {
                "file": "collage-small-1024x494.jpg",
                "width": 1024,
                "height": 494,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small-1024x494.jpg",
                "name": "medium"
              },
              "large": {
                "file": "collage-small-1800x868.jpg",
                "width": 1800,
                "height": 868,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small-1800x868.jpg",
                "name": "large"
              },
              "small": {
                "file": "collage-small-640x309.jpg",
                "width": 640,
                "height": 309,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small-640x309.jpg",
                "name": "small"
              },
              "small_crop": {
                "file": "collage-small-640x480.jpg",
                "width": 640,
                "height": 480,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small-640x480.jpg"
              },
              "medium_crop": {
                "file": "collage-small-1024x768.jpg",
                "width": 1024,
                "height": 768,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small-1024x768.jpg"
              },
              "large_crop": {
                "file": "collage-small-1800x1200.jpg",
                "width": 1800,
                "height": 1200,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/collage-small-1800x1200.jpg"
              }
            },
            "image_meta": {
              "aperture": 0,
              "credit": "",
              "camera": "",
              "caption": "",
              "created_timestamp": 0,
              "copyright": "",
              "focal_length": 0,
              "iso": 0,
              "shutter_speed": 0,
              "title": "",
              "orientation": 0
            }
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/media/6786"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/media"
              }
            ],
            "author": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/users/4"
              }
            ],
            "replies": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/comments?post_id=6786"
              }
            ]
          }
        }
      ],
      "wp:term": [
        [
          {
            "id": 486,
            "link": "https://backend/blog/category/design/",
            "name": "Design",
            "slug": "design",
            "taxonomy": "category",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category/486"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category"
                }
              ]
            }
          }
        ],
        [
          {
            "id": 311,
            "link": "https://backend/blog/tag/design/",
            "name": "Design",
            "slug": "design",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/311"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 316,
            "link": "https://backend/blog/tag/digital/",
            "name": "digital",
            "slug": "digital",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/316"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 339,
            "link": "https://backend/blog/tag/hack-event/",
            "name": "hack event",
            "slug": "hack-event",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/339"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 447,
            "link": "https://backend/blog/tag/ui/",
            "name": "UI",
            "slug": "ui",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/447"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 453,
            "link": "https://backend/blog/tag/ustwo/",
            "name": "ustwo",
            "slug": "ustwo",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/453"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          },
          {
            "id": 459,
            "link": "https://backend/blog/tag/ux/",
            "name": "UX",
            "slug": "ux",
            "taxonomy": "post_tag",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag/459"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/tag"
                }
              ]
            }
          }
        ],
        [
          {
            "code": "rest_no_route",
            "message": "No route was found matching the URL and request method",
            "data": {
              "status": 404
            }
          }
        ]
      ]
    }
  },
  {
    "id": 6674,
    "date": "2014-08-06T08:46:40",
    "guid": {
      "rendered": "http://ustwo.com/?post_type=blog&#038;p=6674"
    },
    "modified": "2015-08-05T09:41:15",
    "modified_gmt": "2015-08-05T09:41:15",
    "slug": "designing-wayfindr",
    "type": "post",
    "link": "https://backend/blog/designing-wayfindr/",
    "title": {
      "rendered": "Designing Wayfindr"
    },
    "excerpt": {
      "rendered": "<p>We are working closely with the Youth Forum at the Royal London Society for Blind People (RLSB), exploring what it could be like for a vision impaired person using the London transport network in the near future.</p>\n"
    },
    "author": 63,
    "featured_image": 6753,
    "comment_status": "closed",
    "ping_status": "closed",
    "sticky": false,
    "format": "standard",
    "seo": {
      "title": "designing wayfindr",
      "desc": "We are working closely with the Youth Forum at the Royal London Society for Blind People (RLSB), exploring what it could be like for a vision impaired person using the London transport network in the near future.",
      "keywords": "",
      "image": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3-640x480.jpg"
    },
    "page_builder": [
      {
        "name": "text",
        "attr": {
          "body": {
            "name": "body",
            "value": "<p>Follow <a href=\"http://ustwo.com/blog/validating-wayfindr/\" target=\"_blank\">this link</a> for our most recent post on Wayfindr.</p>\n<p>We are working closely with the Youth Forum at the Royal London Society for Blind People (<a style=\"line-height: 1.5em;\" title=\"RLSB\" href=\"http://www.rlsb.org.uk/\">RLSB</a><span style=\"line-height: 1.5em;\">), exploring what it could be like for a vision impaired person using the London transport network in the near future. We wanted to share the progress and process of our investigation so far.</span></p>\n<p style=\"position: relative; padding-bottom: 56.25%; height: 0; overflow: hidden;\"><iframe style=\"position: absolute; top: 0; left: 0; width: 100%; height: 100%;\" src=\"//www.youtube.com/embed/nhaM2wUmSf4?rel=0\" width=\"300\" height=\"150\" frameborder=\"0\" allowfullscreen=\"allowfullscreen\"></iframe></p>\n<p dir=\"ltr\"><span style=\"line-height: 1.5em;\">Earlier this year the RLSB Youth Forum published their </span><a style=\"line-height: 1.5em;\" href=\"http://www.rlsb.org.uk/youthmanifesto\">Youth Manifesto</a>,<span style=\"line-height: 1.5em;\"> identifying priority areas for vision impaired young people – and one of these sparked wayfindr’s development. Being able to travel independently anywhere at any time is a major challenge for vision impaired people. Whether it is getting to work or meeting with friends, public transport is often the only way affordable to travel, with driving out of the question and taxis a costly alternative.</span></p>\n<p dir=\"ltr\"><span style=\"line-height: 1.5em;\">In response to their manifesto, we worked with members of the RLSB Youth Forum to investigate ways to make independent travel accessible and cost-effective. The challenge we set ourselves was to use ‘off the shelf’ products, compatible with the devices they already use. We wanted to avoid getting into expensive bespoke hardware development, or speculating too much about the potential future of untested technology. We wanted to see if we could solve this challenge right now.</span></p>\n<blockquote><p dir=\"ltr\"><span style=\"line-height: 1.5em;\">The future is already here — it&#8217;s just not very evenly distributed<br /> </span><strong><em><a href=\"http://en.wikiquote.org/wiki/William_Gibson\">William Gibson</a></em></strong></p>\n</blockquote>\n<p dir=\"ltr\"><span style=\"line-height: 1.5em;\">The ambition of the wayfindr project is to guide users from waypoint to waypoint underground, using smartphones and Bluetooth Low Energy (</span><a style=\"line-height: 1.5em;\" href=\"http://en.wikipedia.org/wiki/Bluetooth_low_energy\">BLE</a><span style=\"line-height: 1.5em;\">) technology. Once the app is activated, the user&#8217;s location is mapped on their own device, with spoken directions transmitted via bone conducting earphones.</span></p>\n<h3 dir=\"ltr\"><span style=\"line-height: 1.5em;\">Our Approach</span></h3>\n<p dir=\"ltr\"><span class=\"size-full wp-image-6705\">We had given ourselves a month to investigate this area and, with such a tight schedule, we needed to be in the right mindset from the get go. We already knew about some of the challenges faced by the vision impaired community through secondary research – looking at papers, reports, videos and so on – but we wanted to experience something of what it’s like to be blind whilst travelling around London.</span></p>\n<p><div id=\"attachment_6705\" style=\"width: 1810px\" class=\"wp-caption alignnone\"><img class=\"size-full wp-image-6705\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs1.jpg\" alt=\"man wearing simspecs in 4 different modes\" width=\"1800\" height=\"1350\" /><p class=\"wp-caption-text\">1 : Total loss of peripheral vision (tunnel vision) common in sight conditions such as glaucoma, retinitis pigmentosa, also a possible side effect of stroke or brain injury. 2 : Loss of central vision common in congenital sight conditions (such as Leber’s Hereditary Optic Neuropathy) and also age related macular degeneration (very common in older people) 3 : Light perception only 4 : Hemianopia (loss of half the visual field in each eye) common after a stroke of brain injury.</p></div>\n<p><span style=\"line-height: 1.5em;\">We got our hands on some sim specs, which can simulate a variety of eye conditions, and – using a cane – started wearing them around the studio. We followed this with a trip on the TfL network. On the day of the simulation, with a cameraman in tow, my guide and I set out with Joy from the RLSB Youth Forum and her guide Katherine, Campaigns Officer at RLSB. We travelled through the TfL network, moving from tube to bus, and conducted our interview whilst on the journey. During the day, we undertook a combination of simulation and observation exercises. We used a digital recorder, the </span><a style=\"line-height: 1.5em;\" href=\"http://www.amazon.co.uk/Zoom-Portable-Digital-Recorder-Version/dp/B003QKBVYK\">H1 Portable Zoom Recorder</a><span style=\"line-height: 1.5em;\">, and the unobtrusive </span><a style=\"line-height: 1.5em;\" href=\"http://www.autographer.com/photography?gclid=CMaLp5267b8CFSEcwwodZl8Auw\">Autographer</a><span style=\"line-height: 1.5em;\"><span style=\"line-height: 1.5em;\"> Life-Logging camera to capture the interview. The observation allowed us to see how the problems played out, but the simulation had the most value – allowing us to experience some of the challenges for ourselves.</span></span></p>\n<p dir=\"ltr\"><span style=\"line-height: 1.5em;\"><img class=\"alignnone size-full wp-image-6688\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/Journey-Map.jpg\" alt=\"Whiteboard with sticky notes showing journey map stages\" width=\"1800\" height=\"1350\" /></span></p>\n<p dir=\"ltr\"><span style=\"line-height: 1.5em;\">Once back in the studio we mapped out our day’s journey. On the map we charted the complex route-planning and decisionmaking involved in navigating the TfL network, and got some initial ideas down.</span></p>\n<p dir=\"ltr\"><span style=\"line-height: 1.5em;\">We then arranged a workshop with the rest of the RLSB Youth Forum so that we could validate whether this scenario, with its particular challenges, was a familiar story to other blind and partially sighted people. We used the journey map to stimulate the conversation, and it also served as a conceptual framework for participants unable to see the diagram. In this way, all could participate and help make collective decisions about where to start our investigation.</span></p>\n<p><img class=\"alignnone size-full wp-image-6689\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/Workshop_Materials.jpg\" alt=\"Whiteboard with sticky notes showing journey map stages\" width=\"1800\" height=\"1350\" /><br /> <span style=\"line-height: 1.5em;\">Along with the journey map we took some questions to help us move from assumptions to more solid facts. With the RLSB Youth Forum, and a few props, we started to explore the journeys together and rapidly prototype and explore ideas. One of the areas that we looked at was how it might be best to feedback events to a vision impaired person. We took a Pebble watch to ascertain whether vibration might be a good tactile feedback option in addition to a pair of bone conduction headphones for audio/verbal feedback,a few other devices of varying form factors and tools to modify the form factor of the hardware. Towards the end of the workshop we started to group the ideas we’d generated into Possible, Plausible and Probable futures.</span></p>\n<p dir=\"ltr\"><span style=\"line-height: 1.5em;\">The following day we began by looking at ideas from the Plausible pile and at how we could start validating our hypotheses. We set up some experiments to help us build upon our limited knowledge through prototyping.</span></p>\n<p dir=\"ltr\"><span style=\"line-height: 1.5em;\"><img class=\"alignnone size-full wp-image-6690\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/iBeacons.jpg\" alt=\"3 iBeacons shown in close up\" width=\"1800\" height=\"1350\" /></span></p>\n<p dir=\"ltr\">During our investigation we came across <a href=\"http://estimote.com/\">Estimote Beacons</a>. These low-powered transmitters use Bluetooth Low Energy (BLE), and send small Bluetooth pulses on set intervals, almost like a pulse you can listen to wirelessly. By placing these on predetermined spots, you can use a smartphone to work out roughly where you are in a room by comparing the signal strength between the beacons. This does come with a few challenges. Bluetooth signals are radio waves, which are sensitive to interference from the built environment and the humans within it. We will be publishing our findings in a in-depth post about our investigation into beacons here in the coming weeks. All you geeks – watch this space!</p>\n<p dir=\"ltr\"><span style=\"line-height: 1.5em;\"><img class=\"alignnone size-full wp-image-6691\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/Prototyping.jpg\" alt=\"Man testing prototype of the iBeacon set up in a corridor\" width=\"1800\" height=\"1351\" /></span></p>\n<p dir=\"ltr\">Initially, we prototyped and tested the options on ourselves, using the sim specs and the cane and tweaking parameters as we went. Once we were happy, we had members of the RLSB Youth Forum help us test and refine it further. The advantage of this way of working was that we were able to adjust parameters according to the pace of the person and where and how the beacons were placed as we tested participants.</p>\n<p dir=\"ltr\"><span style=\"line-height: 1.5em;\">We had plenty of positive feedback from the RLSB Youth Forum. The whole process produced numerous insights into unique and difficult problems, some of which can be tackled now with existing tech. Rapid prototyping, with the close involvement of intended users, put us on a fast track to success. We didn’t get all the way, but our methodology helped to bring us close. We hope that ustwo and the RLSB Youth Forum can push this work forward, and close in on a human-centred solution for travel on the tube.</span></p>\n<p dir=\"ltr\"><span style=\"line-height: 1.5em;\">We have received incredible feedback about it and are in discussions with operators about running a trial. If you are interested in the issues and solutions outlined in this post, and would like to get involved or find out more about wayfindr please get in touch with <a href=\"mailto: katherine.payne@rlsb.org.uk\">Katherine Payne</a> at the RLSB</span><span style=\"line-height: 1.5em;\">, <a href=\"mailto: ume@ustwo.com\">Umesh Pandya</a> at ustwo </span><span style=\"line-height: 1.5em;\">or visit </span><span style=\"line-height: 1.5em;\">t</span>he <a href=\"http://www.rlsb.org.uk/wayfindr\">RLSB</a><span style=\"line-height: 1.5em;\">.</span></p>\n",
            "type": "wysiwyg"
          }
        }
      }
    ],
    "display_title": "",
    "colors": {
      "bg": "",
      "primary": "",
      "secondary": ""
    },
    "terms": {
      "category": [
        486
      ]
    },
    "_links": {
      "self": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/6674"
        }
      ],
      "collection": [
        {
          "href": "https://backend/wp-json/wp/v2/posts"
        }
      ],
      "author": [
        {
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/users/63"
        }
      ],
      "replies": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/comments?post_id=6674"
        }
      ],
      "version-history": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/6674/revisions"
        }
      ],
      "wp:attachment": [
        {
          "embeddable": true,
          "role": "legacy_featured",
          "href": "https://backend/wp-json/wp/v2/media/6753"
        },
        {
          "embeddable": true,
          "role": "featured",
          "href": "https://backend/wp-json/wp/v2/media/6753"
        }
      ],
      "wp:term": [
        {
          "taxonomy": "category",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/6674/terms/category"
        },
        {
          "taxonomy": "post_tag",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/6674/terms/tag"
        },
        {
          "taxonomy": "post_format",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/6674/terms/post_format"
        }
      ],
      "wp:meta": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/posts/6674/meta"
        }
      ]
    },
    "_embedded": {
      "author": [
        {
          "avatar_urls": {
            "24": "https://secure.gravatar.com/avatar/ca130f97b829686e3fd77f18b2ae3b18?s=24&d=mm&r=g",
            "48": "https://secure.gravatar.com/avatar/ca130f97b829686e3fd77f18b2ae3b18?s=48&d=mm&r=g",
            "96": "https://secure.gravatar.com/avatar/ca130f97b829686e3fd77f18b2ae3b18?s=96&d=mm&r=g"
          },
          "description": "",
          "first_name": "Ume",
          "id": 63,
          "last_name": "Pandya",
          "link": "https://backend/blog/author/ume-ustwo/",
          "name": "Ume",
          "url": "",
          "contact_methods": {
            "twitter": "",
            "facebook": ""
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/users/63"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/users"
              }
            ]
          }
        }
      ],
      "wp:attachment": [
        [
          {
            "id": 6753,
            "date": "2014-08-06T10:49:58",
            "slug": "simspecs-4",
            "type": "attachment",
            "link": "https://backend/?attachment_id=6753",
            "title": {
              "rendered": "SimSpecs"
            },
            "author": 14,
            "alt_text": "",
            "media_type": "image",
            "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3.jpg",
            "media_details": {
              "width": 4233,
              "height": 2029,
              "file": "2014/08/SimSpecs3.jpg",
              "sizes": {
                "thumbnail": {
                  "file": "SimSpecs3-300x300.jpg",
                  "width": 300,
                  "height": 300,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3-300x300.jpg"
                },
                "medium": {
                  "file": "SimSpecs3-1024x491.jpg",
                  "width": 1024,
                  "height": 491,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3-1024x491.jpg"
                },
                "large": {
                  "file": "SimSpecs3-1800x863.jpg",
                  "width": 1800,
                  "height": 863,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3-1800x863.jpg"
                },
                "small": {
                  "file": "SimSpecs3-640x307.jpg",
                  "width": 640,
                  "height": 307,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3-640x307.jpg"
                },
                "small_crop": {
                  "file": "SimSpecs3-640x480.jpg",
                  "width": 640,
                  "height": 480,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3-640x480.jpg"
                },
                "medium_crop": {
                  "file": "SimSpecs3-1024x768.jpg",
                  "width": 1024,
                  "height": 768,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3-1024x768.jpg"
                },
                "large_crop": {
                  "file": "SimSpecs3-1800x1200.jpg",
                  "width": 1800,
                  "height": 1200,
                  "mime-type": "image/jpeg",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3-1800x1200.jpg"
                }
              },
              "image_meta": {
                "aperture": 0,
                "credit": "",
                "camera": "",
                "caption": "",
                "created_timestamp": 0,
                "copyright": "",
                "focal_length": 0,
                "iso": 0,
                "shutter_speed": 0,
                "title": "",
                "orientation": 0
              }
            },
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/media/6753"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/media"
                }
              ],
              "author": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/users/14"
                }
              ],
              "replies": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/comments?post_id=6753"
                }
              ]
            }
          }
        ],
        {
          "id": 6753,
          "date": "2014-08-06T10:49:58",
          "slug": "simspecs-4",
          "type": "attachment",
          "link": "https://backend/?attachment_id=6753",
          "title": {
            "rendered": "SimSpecs"
          },
          "author": 14,
          "alt_text": "",
          "media_type": "image",
          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3.jpg",
          "media_details": {
            "width": 4233,
            "height": 2029,
            "file": "2014/08/SimSpecs3.jpg",
            "sizes": {
              "thumbnail": {
                "file": "SimSpecs3-300x300.jpg",
                "width": 300,
                "height": 300,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3-300x300.jpg"
              },
              "medium": {
                "file": "SimSpecs3-1024x491.jpg",
                "width": 1024,
                "height": 491,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3-1024x491.jpg",
                "name": "medium"
              },
              "large": {
                "file": "SimSpecs3-1800x863.jpg",
                "width": 1800,
                "height": 863,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3-1800x863.jpg",
                "name": "large"
              },
              "small": {
                "file": "SimSpecs3-640x307.jpg",
                "width": 640,
                "height": 307,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3-640x307.jpg",
                "name": "small"
              },
              "small_crop": {
                "file": "SimSpecs3-640x480.jpg",
                "width": 640,
                "height": 480,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3-640x480.jpg"
              },
              "medium_crop": {
                "file": "SimSpecs3-1024x768.jpg",
                "width": 1024,
                "height": 768,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3-1024x768.jpg"
              },
              "large_crop": {
                "file": "SimSpecs3-1800x1200.jpg",
                "width": 1800,
                "height": 1200,
                "mime-type": "image/jpeg",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/08/SimSpecs3-1800x1200.jpg"
              }
            },
            "image_meta": {
              "aperture": 0,
              "credit": "",
              "camera": "",
              "caption": "",
              "created_timestamp": 0,
              "copyright": "",
              "focal_length": 0,
              "iso": 0,
              "shutter_speed": 0,
              "title": "",
              "orientation": 0
            }
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/media/6753"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/media"
              }
            ],
            "author": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/users/14"
              }
            ],
            "replies": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/comments?post_id=6753"
              }
            ]
          }
        }
      ],
      "wp:term": [
        [
          {
            "id": 486,
            "link": "https://backend/blog/category/design/",
            "name": "Design",
            "slug": "design",
            "taxonomy": "category",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category/486"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category"
                }
              ]
            }
          }
        ],
        [],
        [
          {
            "code": "rest_no_route",
            "message": "No route was found matching the URL and request method",
            "data": {
              "status": 404
            }
          }
        ]
      ]
    }
  },
  {
    "id": 6637,
    "date": "2014-07-29T15:32:01",
    "guid": {
      "rendered": "http://ustwo.com/?post_type=blog&#038;p=6637"
    },
    "modified": "2015-08-12T14:53:24",
    "modified_gmt": "2015-08-12T14:53:24",
    "slug": "5-key-pieces-of-design-advice-for-car-makers",
    "type": "post",
    "link": "https://backend/blog/5-key-pieces-of-design-advice-for-car-makers/",
    "title": {
      "rendered": "5 key pieces of design advice for car makers"
    },
    "excerpt": {
      "rendered": "<p>Following on from last week’s five part series on the future of in-car HMI we’ve summarised five bite size pieces of advice emerging from the work plus shared the entire series in PDF for download.</p>\n"
    },
    "author": 11,
    "featured_image": 6541,
    "comment_status": "closed",
    "ping_status": "closed",
    "sticky": false,
    "format": "standard",
    "seo": {
      "title": "5 key pieces of design advice for car makers",
      "desc": "Following on from last week’s five part series on the future of in-car HMI we’ve summarised five bite size pieces of advice emerging from the work.",
      "keywords": "",
      "image": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/1-leQAfx1auPxpVx8KW1G6zQ-640x480.png"
    },
    "page_builder": [
      {
        "name": "text",
        "attr": {
          "heading": {
            "name": "heading",
            "value": "",
            "type": "text"
          },
          "body": {
            "name": "body",
            "value": "<p>Following on from last week’s five part <a href=\"http://ustwo.com/blog/the-near-future-of-in-car-hmi/\">series</a> on the future of in-car HMI we’ve summarised below five bite size pieces of design advice for car makers.</p>\n<p>We’ve also decided to share the entire thought piece in an easily downloadable PDF designed to be read as an e-book on iPad – which you can download <a onclick=\"_gaq.push(['_trackEvent','Download','PDF',this.href]);\" href=\"http://cdn.ustwo.com/automotive/AreWeThereYet_V1.0.pdf\" target=\"”_blank”\">HERE</a>.</p>\n<p><img class=\"alignnone size-full wp-image-6395\" alt=\"ui\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/ui1.png\" width=\"1991\" height=\"900\" /></p>\n<h3>5 key pieces of design advice</h3>\n<ol>\n<li><strong>Lose the ‘stick a touchscreen on it’ approach:</strong> Because of long development cycles and silo mentality affecting design and engineering teams, the automotive industry is perpetually behind the curve and to seem responsive is tempted to do this or jump into bed with the consumer tech players trying to dominate the in-car space. Instead, the exterior styling, interior styling, trim and UI design teams need to work together from the very outset and by taking steps such as designing the HMI and UI in a templated, modular fashion from the start, to achieve the aspiration of one unified piece of design instead of the incongruous islands of interactivity that pass for HMI today. There are clear merits of creating a bespoke HMI for a specific vehicle or a range of vehicles vs. the connected car approach championed by the consumer tech giants. That is because crucially, both physical integration and computer hardware features are important to a meaningful HMI – not just software. In working with HMI we should make sure we are not amputating something fundamental about the experience of using a car.</li>\n<li><strong>Love the user/driver:</strong> apart from adopting a one team collaborative approach to break down silos, make sure you design, build and test with users. Seek to achieve contextual empathy whereby you understand and design for the specific situation, which means the driver’s non driving time and non-drivers in the car.</li>\n<li><strong>Less is more in a UX sense:</strong> The inherent complexity created by having so many more things to control in modern cars makes learning, and therefore cultivating muscle memory, hard. This is a particular problem with the advent of car sharing business models (not to mention safety). Remember how people got to grips with the format for the layout of controls created 80 years ago, so they could do things without thinking, across many models of car? Apply thinking from the most powerful cognition studies and you will see why this is still important. Further, our work led us to achieve minimum dwell time by improving legibility, introducing colour coding and grouping information for example (just three pieces of information per group at any one time, we established through testing).</li>\n<li><strong>Little things count in a UI/visual sense:</strong> For example leave the Tron sci-fi styling to graphics in the 80’s, where they belong. When car makers do develop their own graphical user interfaces (GUIs) they are so masculine, cold, alienating and ugly. They are out of character with the thought that goes into exteriors and interiors. Also there is no space to express the brand, especially with the addiction to skeumorphism (applying visual cues to controls that recall physical features). Think about reintroducing colour to the HMI design as a whole, the positioning of information on screen and the positioning of hardware. Looking with fresh eyes at the whole experience meant we re-imagined everything up to and including the traditional speedometer.</li>\n<li><strong>Listen up and get a feel for emerging technologies with the most potential:</strong> Key watchwords are ‘aural’ and ‘haptic’. Overall however, displays are here to stay, albeit integrated with other types of sensing and responsive technology because we believe that a combination of meaningful hard and soft interactions are the key to getting the best out of the HMI in a car.</li>\n</ol>\n<p>So there you go – this is the last of our posts surrounding HMI for now and we hope you’ve enjoyed the series. We’ve touched upon interaction patterns (covering issues with muscle memory and regulations), taken a qualitative look at current on-screen interaction and visual design, briefly gazed into what the near future might look like and finally written a few words about our own approach to in-car HMI design here at ustwo studio.</p>\n<p>Finally &#8211; make sure you download the PDF version of the entire series available <a onclick=\"_gaq.push(['_trackEvent','Download','PDF',this.href]);\" href=\"http://cdn.ustwo.com/automotive/AreWeThereYet_V1.0.pdf\" target=\"”_blank”\">HERE</a>.</p>\n",
            "type": "wysiwyg"
          }
        }
      }
    ],
    "display_title": "",
    "colors": {
      "bg": "",
      "primary": "",
      "secondary": ""
    },
    "terms": {
      "category": [
        486
      ]
    },
    "_links": {
      "self": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/6637"
        }
      ],
      "collection": [
        {
          "href": "https://backend/wp-json/wp/v2/posts"
        }
      ],
      "author": [
        {
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/users/11"
        }
      ],
      "replies": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/comments?post_id=6637"
        }
      ],
      "version-history": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/6637/revisions"
        }
      ],
      "wp:attachment": [
        {
          "embeddable": true,
          "role": "legacy_featured",
          "href": "https://backend/wp-json/wp/v2/media/6541"
        },
        {
          "embeddable": true,
          "role": "featured",
          "href": "https://backend/wp-json/wp/v2/media/6541"
        }
      ],
      "wp:term": [
        {
          "taxonomy": "category",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/6637/terms/category"
        },
        {
          "taxonomy": "post_tag",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/6637/terms/tag"
        },
        {
          "taxonomy": "post_format",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/6637/terms/post_format"
        }
      ],
      "wp:meta": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/posts/6637/meta"
        }
      ]
    },
    "_embedded": {
      "author": [
        {
          "avatar_urls": {
            "24": "https://secure.gravatar.com/avatar/37b98a13dfeecf78eea4fb9adc2e4bdd?s=24&d=mm&r=g",
            "48": "https://secure.gravatar.com/avatar/37b98a13dfeecf78eea4fb9adc2e4bdd?s=48&d=mm&r=g",
            "96": "https://secure.gravatar.com/avatar/37b98a13dfeecf78eea4fb9adc2e4bdd?s=96&d=mm&r=g"
          },
          "description": "ustwo Auto is the automotive team here at ustwo. We work on thought-pieces and build services and products around the connected car. ustwo Auto is comprised of a core team including Tim Smith, David Mingay and Harsha Vardhan.",
          "first_name": "ustwo Auto",
          "id": 11,
          "last_name": "",
          "link": "https://backend/blog/author/steve/",
          "name": "ustwo Auto",
          "url": "",
          "contact_methods": {
            "twitter": "",
            "facebook": ""
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/users/11"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/users"
              }
            ]
          }
        }
      ],
      "wp:attachment": [
        [
          {
            "id": 6541,
            "date": "2014-07-24T11:24:25",
            "slug": "1-leqafx1aupxpvx8kw1g6zq",
            "type": "attachment",
            "link": "https://backend/?attachment_id=6541",
            "title": {
              "rendered": "1-leQAfx1auPxpVx8KW1G6zQ"
            },
            "author": 14,
            "alt_text": "",
            "media_type": "image",
            "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/1-leQAfx1auPxpVx8KW1G6zQ.png",
            "media_details": {
              "width": 802,
              "height": 596,
              "file": "2014/07/1-leQAfx1auPxpVx8KW1G6zQ.png",
              "sizes": {
                "thumbnail": {
                  "file": "1-leQAfx1auPxpVx8KW1G6zQ-300x300.png",
                  "width": 300,
                  "height": 300,
                  "mime-type": "image/png",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/1-leQAfx1auPxpVx8KW1G6zQ-300x300.png"
                },
                "small": {
                  "file": "1-leQAfx1auPxpVx8KW1G6zQ-640x476.png",
                  "width": 640,
                  "height": 476,
                  "mime-type": "image/png",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/1-leQAfx1auPxpVx8KW1G6zQ-640x476.png"
                },
                "small_crop": {
                  "file": "1-leQAfx1auPxpVx8KW1G6zQ-640x480.png",
                  "width": 640,
                  "height": 480,
                  "mime-type": "image/png",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/1-leQAfx1auPxpVx8KW1G6zQ-640x480.png"
                }
              },
              "image_meta": {
                "aperture": 0,
                "credit": "",
                "camera": "",
                "caption": "",
                "created_timestamp": 0,
                "copyright": "",
                "focal_length": 0,
                "iso": 0,
                "shutter_speed": 0,
                "title": "",
                "orientation": 0
              }
            },
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/media/6541"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/media"
                }
              ],
              "author": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/users/14"
                }
              ],
              "replies": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/comments?post_id=6541"
                }
              ]
            }
          }
        ],
        {
          "id": 6541,
          "date": "2014-07-24T11:24:25",
          "slug": "1-leqafx1aupxpvx8kw1g6zq",
          "type": "attachment",
          "link": "https://backend/?attachment_id=6541",
          "title": {
            "rendered": "1-leQAfx1auPxpVx8KW1G6zQ"
          },
          "author": 14,
          "alt_text": "",
          "media_type": "image",
          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/1-leQAfx1auPxpVx8KW1G6zQ.png",
          "media_details": {
            "width": 802,
            "height": 596,
            "file": "2014/07/1-leQAfx1auPxpVx8KW1G6zQ.png",
            "sizes": {
              "thumbnail": {
                "file": "1-leQAfx1auPxpVx8KW1G6zQ-300x300.png",
                "width": 300,
                "height": 300,
                "mime-type": "image/png",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/1-leQAfx1auPxpVx8KW1G6zQ-300x300.png"
              },
              "small": {
                "file": "1-leQAfx1auPxpVx8KW1G6zQ-640x476.png",
                "width": 640,
                "height": 476,
                "mime-type": "image/png",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/1-leQAfx1auPxpVx8KW1G6zQ-640x476.png",
                "name": "small"
              },
              "small_crop": {
                "file": "1-leQAfx1auPxpVx8KW1G6zQ-640x480.png",
                "width": 640,
                "height": 480,
                "mime-type": "image/png",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/1-leQAfx1auPxpVx8KW1G6zQ-640x480.png"
              }
            },
            "image_meta": {
              "aperture": 0,
              "credit": "",
              "camera": "",
              "caption": "",
              "created_timestamp": 0,
              "copyright": "",
              "focal_length": 0,
              "iso": 0,
              "shutter_speed": 0,
              "title": "",
              "orientation": 0
            }
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/media/6541"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/media"
              }
            ],
            "author": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/users/14"
              }
            ],
            "replies": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/comments?post_id=6541"
              }
            ]
          }
        }
      ],
      "wp:term": [
        [
          {
            "id": 486,
            "link": "https://backend/blog/category/design/",
            "name": "Design",
            "slug": "design",
            "taxonomy": "category",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category/486"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category"
                }
              ]
            }
          }
        ],
        [],
        [
          {
            "code": "rest_no_route",
            "message": "No route was found matching the URL and request method",
            "data": {
              "status": 404
            }
          }
        ]
      ]
    }
  },
  {
    "id": 6478,
    "date": "2014-07-25T13:14:41",
    "guid": {
      "rendered": "http://ustwo.com/?post_type=blog&#038;p=6478"
    },
    "modified": "2015-08-05T09:41:16",
    "modified_gmt": "2015-08-05T09:41:16",
    "slug": "our-experience-approach-to-hmi-design",
    "type": "post",
    "link": "https://backend/blog/our-experience-approach-to-hmi-design/",
    "title": {
      "rendered": "Our experience &#038; approach to HMI design"
    },
    "excerpt": {
      "rendered": "<p>In this section we focus on our learnings and challenges primarily from the work carried out with a leading automotive manufacturer as well as share our viewpoint on HMI.</p>\n"
    },
    "author": 11,
    "featured_image": 6497,
    "comment_status": "closed",
    "ping_status": "open",
    "sticky": false,
    "format": "standard",
    "seo": {
      "title": "Our experience & approach to HMI design ",
      "desc": "In this section we focus on our learnings and challenges primarily from the work carried out with a leading automotive manufacturer as well as share our viewpoint on HMI.",
      "keywords": "",
      "image": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-8-640x480.png"
    },
    "page_builder": [
      {
        "name": "text",
        "attr": {
          "body": {
            "name": "body",
            "value": "<p>In the previous Parts <a href=\"http://ustwo.com/blog/the-near-future-of-in-car-hmi/\" target=\"_blank\">1</a>, <a href=\"http://ustwo.com/blog/hmi-where-we-are-now/\" target=\"_blank\">2</a>, <a href=\"http://ustwo.com/blog/changing-patterns-in-hmi/\" target=\"_blank\">3</a> &amp; <a href=\"http://ustwo.com/blog/looking-ahead-designing-for-in-car-hmi/\" target=\"_blank\">4</a> we dealt with the legacies, changing patterns and a look into the technological and design possibilities of the near future in HMI. </p>\n<p>This section is focused on our learnings primarily from the work carried out with a leading automotive manufacturer. Much of our final concept is wrapped under the cloak of an NDA and cannot be discussed here. However, we will speak about our learnings and the challenges faced, along with our viewpoint on HMI.</p>\n<h3>Our Approach</h3>\n<p>At ustwo we see a significant opportunity for designers and developers alike to narrow the gap between the concept and engineering aspects of new product development, by using a lean and prototypical approach that traverses multiple disciplines from conception to pre-production.</p>\n<p><img alt=\"HMI_5 image 1\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-1.png\" width=\"782\" height=\"576\" /></p>\n<p>We employed just such an approach when we helped a leading automotive manufacturer conceptualise the future of the in-car HMI experience. Our approach in a nutshell:</p>\n<ol>\n<li>Arrival at a design statement which forms a basis of exploration — working hand-in-hand with product owners over multiple workshops.</li>\n<li>Identification of significant technological and experiential drivers, to form a basis for a set of narratives. Narratives help us ask questions to test the weight of the design statement, while considering users and their actions in a particular scenario.</li>\n<li>Iterative investigation of each of the narratives with prototypes. This is carried out by focussing on testing with real users. The mindset employed during these investigations is to humanise interactions by rapidly building and testing variations.</li>\n<li>Prototypes generally consisting of an interplay between screen-based user interfaces and spatial / product interactions, with each experience and discipline bleeding into the other.</li>\n<li>We generally consider currently available consumer hardware as proxies for nascent technology. This enables us to probe the constraints of the tech, without waiting for the release of specialised products. APIs and SDKs available for certain hardware enable us to quickly prototype eg Myo, Kinect and Leap Motion.</li>\n<li>Creation of an ‘experience demo’ which ties the narratives together into a working concept. The demo is a tool both for communication and as a basis for getting to know limitations and potentials for future production.</li>\n<li>We also test visual design theories and ideas simultaneously with prototypes and demos, gathering user feedback as we test iteratively to form a guideline of best-practices for the visual / UI design (which incidentally has informed some of the thinking in this document).</li>\n</ol>\n<p>Below, we speak about some of our specific learnings with the experiments carried out in the course of the project.</p>\n<h3>Gestural Interactions</h3>\n<p>A key area of focus in our concept was the building of learnable gestural interfaces through micro-interactions and their triggers, rules and feedback.</p>\n<p>One reason for this focus was that it can prove less distracting to perform as it avoids potential cognitive overload created by looking at and comprehending a UI while allowing the driver to keep their eyes on the road.</p>\n<p>In doing this, we aimed to make use of the benefits of the technology and solve the associated problems for the in-car context.</p>\n<p>In order to think about gestures clearly and identify what is meaningful, we used the system presented by <a href=\"http://microinteractions.com/\">Dan Saffer in his book ‘Micro-interactions’.</a></p>\n<p>In-car interactions in the context of driving need to be modular with very effective <strong>trigger</strong> mechanisms in the light of safety, with <strong>rules and feedback</strong> on the activation of those triggers. For example, the rule inherent to steering (a trigger) is that the car turns, with feedback given both visually and haptically when the act of turning the steering wheel becomes harder.</p>\n<p>Through several rounds of testing with the Leap Motion sensor, quickly iterating with varying ‘columns of interactivity and feedback’, we found that understanding these issues was important for our users.</p>\n<p><img class=\"alignnone size-full wp-image-6483\" alt=\"HMI_5 image 2\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-2.png\" width=\"1515\" height=\"752\" /></p>\n<p>Tests were conducted by placing the Leap Motion in an ergonomically convenient and logical position for the driver from where they could interact with the HMI via gestures, unhindered by other physical controls (i.e. gear shift/stick).</p>\n<p>From these tests our key learnings were that a meaningful gestural HMI needs:</p>\n<p><strong>A. A gestural interface with a focus on shortening the learning curve</strong> by using rich visual and aural feedback loops (car interiors provide for a controlled, fertile environment to affect rich feedback systems).</p>\n<p><strong>B. Balance</strong> between meaningful gestures and on-screen GUI. A couple of interesting research explorations point to the way this could be achieved:</p>\n<p>1. <em>Recognizing Shapes and Gestures using sound as feedback &#8211; Javier Sanchez, CCRMA — Stanford University</em></p>\n<p><img class=\"alignnone size-full wp-image-6492\" alt=\"HMI_5 image 3\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-3.png\" width=\"757\" height=\"265\" /></p>\n<p>2. <em>AHNE — Audio-Haptic Navigation Environment demonstration video by SOPI research group, 2011.</em></p>\n<p><iframe src=\"//player.vimeo.com/video/28447850\" height=\"506\" width=\"900\" allowfullscreen=\"\" frameborder=\"0\"></iframe></p>\n<h3>Data visualisation and semantic skeuomorphism</h3>\n<p>While solving some problems, our concept also presented a visual design challenge, that being how gestural interaction and tangible interaction are distinguished visually.</p>\n<p>Given that our concept had a mixture of buttons and non-interactive graphics, as well as other user inputs such as gesture, we applied semantic skeuomorphism (discussed in <a href=\"http://ustwo.com/blog/changing-patterns-in-hmi/\" target=\"_blank\">Part 3</a>) in the form of a crisp shadow to pressable buttons only. This established a visual language that effectively defined all buttons as pressable and everything else not pressable. Other signifiers were used to prompt the use of a gesture or voice, such as the the ergonomics and placement of certain sensors (as described earlier in “Mapping”) and audio cues.</p>\n<p><img class=\"alignnone size-full wp-image-6494\" alt=\"HMI_5 image 5\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-5.jpeg\" width=\"1116\" height=\"799\" /></p>\n<p>In another area, we shied away from skeuomorphism: the overly familiar speedometer. We discussed earlier how the speedo comes from the legacy left by mechanical and technical constraints, which in turn became a form of semantic skeuomorphism when those constraints were lifted by technological advancements. However, is a pin pointing to a number the most effective way of communicating a driver’s speed? We explored alternatives to stress test this established data visualisation.</p>\n<p><div id=\"attachment_6495\" style=\"width: 816px\" class=\"wp-caption alignnone\"><img class=\"size-full wp-image-6495\" alt=\"Speedometer redesign sketches\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-6.png\" width=\"806\" height=\"800\" /><p class=\"wp-caption-text\">Speedometer redesign sketches</p></div>\n<p>In our concept, we redesigned the speedo with an expanding and shrinking ring that changed colour depending on how close you were to the speed limit (defined by the particular road limits using geo location). A simple number in a constant position within this ring represented the speed and the consistent position meant the driver could quickly glance at the correct spot on their dashboard, decreasing dwell time.</p>\n<h3>“Micro-dwell” — information in pixels</h3>\n<p>When it comes to visual communication in an in-car environment, you want to achieve the opposite of what we’re used to as designers, and that’s have the audience (in our case the driver and passengers) looking at your beautiful, painstakingly crafted design as little as possible, ensuring the driver is not distracted and has their eyes firmly focussed on the road.</p>\n<p>This is where the term “micro-dwell communication” came from. We have touched on audio and haptic feedback, but there will be times where visual communication is necessary, at least within today’s confines. In these instances, we must ensure that the driver is looking at the visuals for as little time as possible. It’s not dissimilar to a poster advertisement in which the message should come across instantly, though unlike the poster, the viewer should not dwell further. There are a number of design decisions that can be made to reduce dwell to a minimum, a handful of which include:</p>\n<p><b>Readability and legibility:</b> As discussed later, text should be kept to a minimum and should be as readable as possible. Graphics, as well as type, should be legible: contrast and scale play a part in this.</p>\n<p><b>Grouping:</b> Information related to a specific context or scenario could be grouped. For example, music controls grouped on one screen, geo-navigation on another.</p>\n<p><b>Hierarchy and quantity:</b> Ensure information is delivered with the correct prioritisation. Display as little information at any given time as possible. As a rule of thumb, we tried to keep information down to just three pieces per screen/instance.</p>\n<p><b>Interactions: </b> As our concept utilised touch screen inputs along with gestural and vocal input, it was important to distinguish between and communicate them differently. Interactions should be done quickly.</p>\n<p>To accommodate these considerations, we found that by using graphic systems such as infographics, icons, “affordance” and colour-coding, we effectively reduced the length of time the user had to look at the visuals to understand what was being communicated. In fact, understanding of the information and the way in which the system worked became quicker as the driver had more exposure to it. We even took this approach in redesigning the speedometer, as discussed previously.</p>\n<h3>Text &amp; Readability</h3>\n<p>We also looked at the very basics of design and sought to employ them in the most appropriate way for the in-car context.</p>\n<p><img class=\"aligncenter size-full wp-image-6594\" alt=\"Microtype\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/Microtype.jpg\" width=\"850\" height=\"340\" /></p>\n<p>The use of text in in-car HMI is a key consideration: it should be kept to a minimum. This will ensure readability (not to be confused with legibility). Paragraphs should be avoided completely, at least when the driver is actually driving. Long pieces of text are not only uncomfortable to read but also distracting — the length of time to consume the information is too long, which can be dangerous.</p>\n<p>Overlaid text and graphics should always have the appropriate light contrast (true of all UIs, automotive or otherwise). This will ensure legibility.</p>\n<blockquote><p>Good screen design happens in the subatomic level of microtypography (the exact definition of a typeface), the invisible grid of macrotypography (how the typeface is used), and the invisible world of interaction design and information architecture. Minimum input, maximum output, with minimal conscious thought is what screen designers focus on.<br /> <strong><em>Oliver Reichenstein</em></strong></p>\n</blockquote>\n<p>Despite some experimenting, a dark background seems to be the shade of choice in automotive design. There’s a reason why so many car UIs have dark backgrounds, and that’s because they are less distracting and reduce glare. But more on that later.</p>\n<p>Given that the background should be dark, the best option for text is white or preferably very pale grey or pale colours. We actually opted for a dark grey background as deep black was too severe against paler pixels and very high contrast text can be difficult for people with dyslexia to read.</p>\n<p>In some digital design instances the inverse of black on white is frowned upon (with some AA accessibility exceptions), but the requirement of a dark background and the short engagement nature of the interaction negates this concern. This is thanks to the “read versus scan” hypothesis.</p>\n<p><b>Reading</b> involves focusing on words and characters for a thorough comprehension of the subject. This requires a lengthy dwell time.</p>\n<p><b>Scanning</b> involves skimming the information for a broader comprehension of the subject. This requires relatively short dwell times and often a “glanceable” understanding of the information is achieved.</p>\n<p>Reading paragraphs of white text is stressful on the eyes due to all three types of colour sensitive visual receptors being stimulated simultaneously which “overloads” the eye. The projected light from the white (or brighter than dark pixels) of close proximity graphics, such as alpha-numeric characters, scatters into neighbouring characters, which is obviously detrimental to readability.</p>\n<p>However, putting stress on the user’s eyes is not so much of a concern when scanning the information because long visual fixations should not occur (if the information is appropriately designed). Given that we should expect what we call “micro-dwell” times from the driver, reading is an unrealistic expectation anyway. Scanning, on the other hand, is a more appropriate expectation for which we can and did design for — at least during the driving experience. White (or pale grey) on black (or dark grey) therefore not only supports the anti glare colour scheme, but also makes it easier for the driver to scan the information quickly, the micro-dwell time negating eye strain concerns.</p>\n<p>This white on black design also works well for the lighting conditions of the vehicle during a drive, which can vary from fairly light to often shaded and even dark. The automated dimming and brightening of the screen based on the surrounding light conditions could also prove a useful feature, much like how many laptops react to the lighting conditions of their environment. As an incidental observation, car interiors tend to be dark too, so a colour-match of the car’s interior and its UI could also be considered when attempting to blend the two, something we&#8217;ve already communicated a great interest in.</p>\n<p>MIT AgeLab and Monotype have paired up to tackle the issue of typography specifically for the <br />in-car HMI’. Find out more about this in an <a href=\"http://www.automotiveworld.com/analysis/car-typeface-something-dont-notice/\">interview</a> and in this <a href=\"http://automotivemegatrends.com/webinars/balancing-design-science-typography-automotive-space/\">talk</a>.</p>\n<h3>Colour: beauty &amp; brains</h3>\n<p>As we researched the car UI landscape and what had been before, we realised quite quickly that they all looked pretty much the same.</p>\n<p>They were mostly dark, moody, neon blue-accented, metallic textures, bezels, and shadows.</p>\n<p><img class=\"aligncenter size-full wp-image-6608\" alt=\"VS\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/VS.jpg\" width=\"1829\" height=\"842\" /></p>\n<p>When we take a step back and look at the examples we’ve gathered, there is a strong feeling that many of the UIs exude a masculine feel, akin to the automotive industry as a whole, decades ago. In-car UI seems to be stuck in the past, whereas the rest of the industry has matured into an all-encompassing, unisex, contemporary space. We see a great opportunity to bring car UI up to date, enjoying the same maturity as the rest of the car. In so doing we have to go against what has been before.</p>\n<p>The first thing we explored was reversing the dark background into a pale one. A paler UI tends to evoke notions of lifestyle, modernity, simplicity and approachability — exactly what we thought was appropriate to achieve our ambitions for our design. Darker backgrounds often evoke moody, masculine tones.</p>\n<p>However, following some user testing and exploration, it appeared that this was perhaps not the correct direction after all. It seems there was a reason our research revealed so many dark car UIs. Dark backgrounds prove less distracting, provide less glare and are therefore, importantly, safer than paler screens. With that fundamental truth, we were confident we must switch to a dark background, but we still felt we could shed the common masculine, science-fiction aesthetic of so many other in-car UIs by making specific design decisions.</p>\n<blockquote><p>Everything has a personality: everything sends an emotional signal. Even where this was not the intention of the designer, the people who view the website infer personalities and experience emotions.<br /> <strong><em>Don Norman</em></strong></p>\n</blockquote>\n<p>Choice of colour was one way in which we could offset the gender bias. A charcoal grey or other dark colour rather than black can soften the overall look. We also carefully chose a palette of low saturation, but bright pale colours to neutralise any negative stylistic connotations — the opposite of the neon blues of many car UIs.</p>\n<p>The benefits of the use of colour are not only in its look and feel, but also in what it can communicate and — importantly — how we can colour-code groups of information. Instead of opting for the familiar monotone colour scheme, we used a range of colours. This helped to brighten up the whole experience, but also, there’s the added potential for extra information in those colours. We used colours to group information into colour-coded screens that each represented different categories of information. For examples, a blue colour palette was designated to the media player screen, while a green was the colour scheme of the eco information and performance screen. At a glance, the colour palette helped denote the screen and therefore orientate the user. In our concept, colour-coded information even helped create a relationship between two or more screens and enhanced understanding.</p>\n<p>Colour is a powerful way in which to give personality to a design, be it a masculine tone or a friendly tone, something we used to great effect. Colour also carries great informational power; it can code, group, signify and prioritise pieces of information. But colour isn’t the only tool in our armoury that holds these dual emotional and informational abilities…</p>\n<h3>Grouping</h3>\n<p>Further to colour and semantic skeuomorphism, grouping is another way to empower information.</p>\n<p>The selection and confinement of information to one instance, such as a screen can shed light on and contextualise surrounding information by mere proximity.</p>\n<p>This is supported by Gestalt psychology, which theorises that our senses have the capacity to understand an image as a whole, particularly with respect to the visual recognition, as well as the collections of parts it comprises. This is known as the Gestalt effect.</p>\n<p>Imagine a fan icon on its own. What would that mean? Probably cooling or heating. Now imagine the metric 71º on its own. What could that mean? What is at 71º? The temperature outside the vehicle? Inside? Put the two together and you immediately understand 71º is the requested in-car temperature. The two pieces of information make sense of each other.</p>\n<p><img alt=\"HMI_5 image 7\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-7.png\" width=\"706\" height=\"304\" /></p>\n<p>The 2015 Audi TT HMI uses the same principle, displaying this information right on the Nest-like air-conditioning fans.</p>\n<p><img class=\"alignnone size-full wp-image-6497\" alt=\"HMI_5 image 8\" src=\"https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-8.png\" width=\"1264\" height=\"799\" /></p>\n<p>We opted to display information in simple, chaptered groups. Each aspect of function had its own designated screen, each with their own contextual pieces of information and colour scheme. We had a music player screen, an eco drive and performance screen, navigation screen and so on. By grouping the information in such a way, drivers were consuming just one type of information at a time, performing just one function, and were able to understand the different elements of information on the screen more quickly.</p>\n<p>We also considered the positioning of the screens, as well as other hardware and physical elements of the HMI. Their positioning made sense of their function, visually and ergonomically.</p>\n<h3>User testing</h3>\n<p>We hold ourselves to a high standard at ustwo and we had to ensure that we delivered, not only for the client, but for what&#8217;s best for the user and driver.</p>\n<p>We were building a complex system, but we were also defining new and unique interactions that people had never experienced.</p>\n<p>To guarantee the result, we grounded all of our work in user testing. Our process resembled that of a fast-moving start-up where short design and development sprints are followed by user testing sessions and lessons learnt from these steer the following cycle.</p>\n<p>With UI, UX and those physical principles involved in a HMI in mind, and designing for the in-car context, we derived the term ‘3ft experience’, a derivative of TV’s ‘10ft experience’. We used this as a guide in user testing to measure legibility of information and usability of interactions.</p>\n<p>If the user could understand the information from the seat of the vehicle, roughly 3ft away from the UI, then its scale and contrast was adequate; it was legible (using traditional AA accessibility standards and our own <a href=\"http://ustwo.com/ppp/\">PPP</a>). Through trial and error, we came to the conclusion that, given the minimum scale and quantity of information one can digest within short dwell times, displaying just three pieces of information per “group” was appropriate: one primary and two secondary items, specifically for the driving experience. These rules could vary depending on contextual empathy.</p>\n<p>We always presented primary information in the same spot on each screen so that the driver learnt where to look from screen to screen. Secondary information, which was treated sparingly, surrounded this. This works within the muscle memory, learnability and positioning principles discussed earlier. We found that people were quickly learning to default their focus to the same area of the screen. In doing that, we swapped more relevant information into this spot as we learned what was more useful to the driver in different situations.</p>\n<p>Treating touch interactions in a similar way is something we also focussed on. One such method is best exemplified in Matthaeos Krenn’s <a href=\"http://matthaeuskrenn.com/new-car-ui/\" target=\"_blank\">A New Car UI concept</a>, which works within the same one-function-per-screen paradigm. Krenn’s concept encourages a similar “blind interaction” method to the one we explored with gesture based inputs, interactions with affordability — agnostic to precision afforded by visual reference. As with physical gestures, there’s some initial learning upfront, but so was there when swiping to unlock your smartphone was introduced. In time new interactions become second nature.</p>\n<blockquote><p>New controls can open doors for exciting innovation… but they also come with their new challenges that need to be respected and overcome.<br /> <strong><em>Matthaeus Krenn</em></strong></p>\n</blockquote>\n<p>Interactions should support a micro-dwell approach, through colour, contrast, brightness, scale and affordability. The topic of dwell, and more specifically micro-dwell, is an important one which we considered carefully when conceiving, designing, prototyping and testing features for our concept.</p>\n<p>Throughout the project our process kept improving; the testing moved from in front of a laptop to a 1-1 scale model of a car cockpit, and the cycle time shrank from over a week to two days.</p>\n<p>By the end of the project, we’d tested the experience with over 30 individuals in a close-to-real setting. And in doing so seen it evolve from something obscure and complicated to something seamless and delightful.</p>\n<h3>Our experimental platform</h3>\n<p>ustwo used the approach we previously formalised to construct an experimental platform for the project.</p>\n<p>The platform was used to provoke questions and think about new paradigms in HMI with respect to a hypothesis / design statement, which evolved over multiple conversations with the client:</p>\n<p>“How might we utilise the opportunities that come up when we move away from thinking about cars as tools and extensions of human function, to thinking about them as sensory and reactive entities, which can perceive and react meaningfully to the world around them?”</p>\n<p>This concept is gaining credence due to present day research and development into human machine interactivity — which is bleeding into consumer technology. For example, the idea of a smart, intelligent home being driven by Nest.</p>\n<p>In the course of building on this design statement we explored concepts with respect to:</p>\n<ol>\n<li>In-car computer vision to detect physiological and gestural data.</li>\n<li>The car as an ambient agent offering meaningful aural and visual feedback based on the data it senses.</li>\n<li>New principles with respect to data visualisation guiding interactions and visual design in screens.</li>\n<li>Qualitative user testing with low to high fidelity prototypes which were used to iteratively validate and humanise the experience.</li>\n</ol>\n<p>Traditionally, you clearly define what it is a client will be paying for before any production work begins. But the amount of technical uncertainty on this project made estimation close to impossible.</p>\n<p>So to de-risk our promises, the design and engineering teams came together to quickly evaluate what was achievable. And over the course of weeks into months, we continuously turned dozens of ideas into functional prototypes.</p>\n<p>These prototypes, although basic, allowed us to present the client with a set of possible options that we knew we could deliver. We agreed on a subset, and set out to transform the most promising of these early prototypes into rich and contextually empathetic in-car experiences.</p>\n<h3>Tomorrow’s in-car HMI</h3>\n<p>To understand what tomorrow’s in-car software might look like, we turned to yesterday’s.</p>\n<p>In the past, we’ve seen technology move from homes and offices to cars (think digital audio, touch screens and mobile Internet). Today, technologies such as the Microsoft Kinect, Leap Motion and Myo are allowing computers to gain a stronger awareness of the user.</p>\n<p>We designed the car with the belief that in the future, sensors like these coupled with advances in AI will fundamentally change the human–machine interaction model. And tomorrow’s homes, offices and cars will understand and adapt to us in a way that no computer does today.</p>\n<p>Today’s consumer sensors foster rich ecosystems which make them perfectly suitable for rapid prototyping. However, they are not designed to operate in the challenging environment of a car cockpit and are less reliable and more error prone in that environment.</p>\n<h3>Conclusion</h3>\n<p>We are truly excited about the future of HMI in cars at ustwo.</p>\n<p>Automobiles as tools have always been known to be ‘extensions’ of human faculties and we are now entering into an exciting new paradigm with the addition of intelligence into these tools — opening up a new world of possibilities.</p>\n<p>With connectivity, near-unlimited access to information, pre-emption and efficiency that the digital age brings to a car, we feel that one should not forget the primary experiential qualities — the nature of the drive, safety of passengers and fellow travellers, and, most importantly, the pleasure of travelling and being at one with a vehicle.</p>\n<p>Technological ‘extensions’ also bring about ‘amputations’ — for example, the telephone extends the voice, but also amputates the art of penmanship gained through regular correspondence.</p>\n<p>In working with HMI we should make sure we are not amputating something fundamental to the experience of using a car. We believe that car manufacturers need to adopt new approaches if they are to stay ahead of rapidly changing technology, its impact on design and user experience, and integrate it into their legacy manufacturing cycles.</p>\n<p>The connected car approach presented by Apple and Google is a possible short-term solution which hands over the platform to an external device, but there’s an opportunity for car makers to take this further and explore new interaction paradigms of their own. Investigating these paradigms might answer larger questions — like is there is an argument for HMI to be completely non-visual, opting instead for audio and haptic feedback as well as vocal and gestural input?</p>\n<p>Let’s think strategically. What will the world look like following Tesla’s announcement about open-sourcing their technology? What will we stand to gain from the emergence of truly connected cars or &#8216;radically connected&#8217; as coined earlier in this thought piece? With the deep integration of internal telematics and infotainment systems to the web, from the ground up rather than as an afterthought, the possibilities are endless.</p>\n<p>Beyond understanding technology, another factor unique to interactions within a car, or at least at a much greater priority than of most, is trust.</p>\n<blockquote><p>Designing to gain trust is an amazingly interesting design challenge—far different from the technical problems.<br /> <strong><em>Paolo Malabuyo, Vice President of Advanced UX Design at Mercedes</em></strong></p>\n</blockquote>\n<p>Compared to a smartphone, if a car fails the consequences are much more considerable — and people are very much aware of this. Gaining a driver’s trust with truly revolutionary driving features is a hurdle that will need to be overcome. Features such as automated driving and the engagement of safety features and how they relate to the HMI will be a huge challenge.</p>\n<p>To conclude, we believe that disruptive innovation requires a new approach, and in our experience a ‘lean start-up’ and an entrepreneurial team using rapid prototyping is what’s required to keep pace with technology and user expectation. And that might just be ustwo.</p>\n<p>We hope you&#8217;ve enjoyed this 5 part series and please do comment and let us know what you think. We&#8217;ll be doing a summary post early next week with a link to download the official ustwo auto e-book which contains all 5 parts.</p>\n",
            "type": "wysiwyg"
          }
        }
      }
    ],
    "display_title": "",
    "colors": {
      "bg": "",
      "primary": "",
      "secondary": ""
    },
    "terms": {
      "category": [
        486
      ]
    },
    "_links": {
      "self": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/6478"
        }
      ],
      "collection": [
        {
          "href": "https://backend/wp-json/wp/v2/posts"
        }
      ],
      "author": [
        {
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/users/11"
        }
      ],
      "replies": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/comments?post_id=6478"
        }
      ],
      "version-history": [
        {
          "href": "https://backend/wp-json/wp/v2/posts/6478/revisions"
        }
      ],
      "wp:attachment": [
        {
          "embeddable": true,
          "role": "legacy_featured",
          "href": "https://backend/wp-json/wp/v2/media/6497"
        },
        {
          "embeddable": true,
          "role": "featured",
          "href": "https://backend/wp-json/wp/v2/media/6497"
        }
      ],
      "wp:term": [
        {
          "taxonomy": "category",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/6478/terms/category"
        },
        {
          "taxonomy": "post_tag",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/6478/terms/tag"
        },
        {
          "taxonomy": "post_format",
          "embeddable": true,
          "href": "https://backend/wp-json/wp/v2/posts/6478/terms/post_format"
        }
      ],
      "wp:meta": [
        {
          "embeddable": false,
          "href": "https://backend/wp-json/wp/v2/posts/6478/meta"
        }
      ]
    },
    "_embedded": {
      "author": [
        {
          "avatar_urls": {
            "24": "https://secure.gravatar.com/avatar/37b98a13dfeecf78eea4fb9adc2e4bdd?s=24&d=mm&r=g",
            "48": "https://secure.gravatar.com/avatar/37b98a13dfeecf78eea4fb9adc2e4bdd?s=48&d=mm&r=g",
            "96": "https://secure.gravatar.com/avatar/37b98a13dfeecf78eea4fb9adc2e4bdd?s=96&d=mm&r=g"
          },
          "description": "ustwo Auto is the automotive team here at ustwo. We work on thought-pieces and build services and products around the connected car. ustwo Auto is comprised of a core team including Tim Smith, David Mingay and Harsha Vardhan.",
          "first_name": "ustwo Auto",
          "id": 11,
          "last_name": "",
          "link": "https://backend/blog/author/steve/",
          "name": "ustwo Auto",
          "url": "",
          "contact_methods": {
            "twitter": "",
            "facebook": ""
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/users/11"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/users"
              }
            ]
          }
        }
      ],
      "wp:attachment": [
        [
          {
            "id": 6497,
            "date": "2014-07-23T17:02:27",
            "slug": "hmi_5-image-8",
            "type": "attachment",
            "link": "https://backend/?attachment_id=6497",
            "title": {
              "rendered": "HMI_5 image 8"
            },
            "author": 4,
            "alt_text": "",
            "media_type": "image",
            "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-8.png",
            "media_details": {
              "width": 1264,
              "height": 799,
              "file": "2014/07/HMI_5-image-8.png",
              "sizes": {
                "thumbnail": {
                  "file": "HMI_5-image-8-300x300.png",
                  "width": 300,
                  "height": 300,
                  "mime-type": "image/png",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-8-300x300.png"
                },
                "medium": {
                  "file": "HMI_5-image-8-1024x647.png",
                  "width": 1024,
                  "height": 647,
                  "mime-type": "image/png",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-8-1024x647.png"
                },
                "small": {
                  "file": "HMI_5-image-8-640x405.png",
                  "width": 640,
                  "height": 405,
                  "mime-type": "image/png",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-8-640x405.png"
                },
                "small_crop": {
                  "file": "HMI_5-image-8-640x480.png",
                  "width": 640,
                  "height": 480,
                  "mime-type": "image/png",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-8-640x480.png"
                },
                "medium_crop": {
                  "file": "HMI_5-image-8-1024x768.png",
                  "width": 1024,
                  "height": 768,
                  "mime-type": "image/png",
                  "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-8-1024x768.png"
                }
              },
              "image_meta": {
                "aperture": 0,
                "credit": "",
                "camera": "",
                "caption": "",
                "created_timestamp": 0,
                "copyright": "",
                "focal_length": 0,
                "iso": 0,
                "shutter_speed": 0,
                "title": "",
                "orientation": 0
              }
            },
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/media/6497"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/media"
                }
              ],
              "author": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/users/4"
                }
              ],
              "replies": [
                {
                  "embeddable": true,
                  "href": "https://backend/wp-json/wp/v2/comments?post_id=6497"
                }
              ]
            }
          }
        ],
        {
          "id": 6497,
          "date": "2014-07-23T17:02:27",
          "slug": "hmi_5-image-8",
          "type": "attachment",
          "link": "https://backend/?attachment_id=6497",
          "title": {
            "rendered": "HMI_5 image 8"
          },
          "author": 4,
          "alt_text": "",
          "media_type": "image",
          "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-8.png",
          "media_details": {
            "width": 1264,
            "height": 799,
            "file": "2014/07/HMI_5-image-8.png",
            "sizes": {
              "thumbnail": {
                "file": "HMI_5-image-8-300x300.png",
                "width": 300,
                "height": 300,
                "mime-type": "image/png",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-8-300x300.png"
              },
              "medium": {
                "file": "HMI_5-image-8-1024x647.png",
                "width": 1024,
                "height": 647,
                "mime-type": "image/png",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-8-1024x647.png",
                "name": "medium"
              },
              "small": {
                "file": "HMI_5-image-8-640x405.png",
                "width": 640,
                "height": 405,
                "mime-type": "image/png",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-8-640x405.png",
                "name": "small"
              },
              "small_crop": {
                "file": "HMI_5-image-8-640x480.png",
                "width": 640,
                "height": 480,
                "mime-type": "image/png",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-8-640x480.png"
              },
              "medium_crop": {
                "file": "HMI_5-image-8-1024x768.png",
                "width": 1024,
                "height": 768,
                "mime-type": "image/png",
                "source_url": "https://usweb-cdn.ustwo.com/ustwo-production/uploads/2014/07/HMI_5-image-8-1024x768.png"
              }
            },
            "image_meta": {
              "aperture": 0,
              "credit": "",
              "camera": "",
              "caption": "",
              "created_timestamp": 0,
              "copyright": "",
              "focal_length": 0,
              "iso": 0,
              "shutter_speed": 0,
              "title": "",
              "orientation": 0
            }
          },
          "_links": {
            "self": [
              {
                "href": "https://backend/wp-json/wp/v2/media/6497"
              }
            ],
            "collection": [
              {
                "href": "https://backend/wp-json/wp/v2/media"
              }
            ],
            "author": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/users/4"
              }
            ],
            "replies": [
              {
                "embeddable": true,
                "href": "https://backend/wp-json/wp/v2/comments?post_id=6497"
              }
            ]
          }
        }
      ],
      "wp:term": [
        [
          {
            "id": 486,
            "link": "https://backend/blog/category/design/",
            "name": "Design",
            "slug": "design",
            "taxonomy": "category",
            "color": "",
            "_links": {
              "self": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category/486"
                }
              ],
              "collection": [
                {
                  "href": "https://backend/wp-json/wp/v2/terms/category"
                }
              ]
            }
          }
        ],
        [],
        [
          {
            "code": "rest_no_route",
            "message": "No route was found matching the URL and request method",
            "data": {
              "status": 404
            }
          }
        ]
      ]
    }
  }
];

const Sandbox = React.createClass({
  render() {
    return <div className="sandbox">
      <SearchResults
        posts={posts}
        searchQuery="design"
        transitionState="shown"
      />
    </div>;
  }
});

export default Sandbox;
